*COMDECK ECDECK
C-----------------------------------------------------------------------:-------
C INCLUDE MODULE: ECDECK
C-----------------------------------------------------------------------:-------
C     CONTAINS DECLARATION OF COMMON BLOCKS CONTAINING :
C     (1) THE WAVELENGTH CALIBRATED ORDER-BY-ORDER ECHELLE SPECTRUM
C     (2) THE STANDARD BLAZE FUNCTION
C     (3) PARAMETERS FOR APPLYING (2) TO THE CURRENT (1)
C     (4) POINTERS FOR OVERLAP REGIONS IN (1) TO BE USED IN MERGING ORDERS
C-------------------------------------------------------------------------------
C
C.....ECHELLE STACK DECLARATION
      INTEGER         NEC
      PARAMETER      (NEC=32)
      CHARACTER*79    ECHEAD
      REAL            ECSTAK (2048,NEC)
      REAL            ECSLAM (NEC)
      REAL            ECDLAM (NEC)
      INTEGER         NECORD
      INTEGER         MECORD (NEC)
      INTEGER         NECWAV (NEC)
      COMMON /ETITLE/ ECHEAD
      COMMON /ESTACK/ ECSTAK, ECSLAM, ECDLAM, NECORD, MECORD, NECWAV
C
C.....BLAZE PARAMETERS
C    .BLAZE FUNCTION TYPE INDICATOR
      INTEGER         IBLTYP
C                     IBLTYP=1  :  SINC**2,  ALPHA IS WIDTH PARAMETER
C                     IBLTYP=2  :  9TH ORDER CHEBYSHEV POLYNOMIALS
C    .COEFFICIENTS FOR POLYNOMIAL FIT
      REAL            BLCHEB (10,NEC)
      REAL            BLXMIN (NEC)
      REAL            BLXMAX (NEC)
      REAL            BLPOLY (10,NEC)
      REAL            BLWCEN (NEC)
      REAL            BLFMAX (NEC)
C    .COEFFICIENTS FOR SINC**2 FIT
      REAL            BLA    (NEC)
      REAL            BLK    (NEC)
C    .FLAG INDICATING EXISTENCE OF FIT FOR GIVEN ORDER
      LOGICAL         LBLF   (NEC)
C    .COMMON DECLARATION
      COMMON /EBLAZE/ IBLTYP, LBLF, BLA, BLK,
     1                BLCHEB, BLPOLY, BLWCEN, BLFMAX, BLXMIN, BLXMAX
C
C.....PARAMETERS FOR SPECTRUM NORMALISATION
      REAL            ECFMAX (NEC)
      REAL            ECWCEN (NEC)
      LOGICAL         LECRES
      COMMON /ELOCAL/ ECWCEN, ECFMAX, LECRES
C
C.....OVERLAP REGIONS
      REAL            OVDLAM
      REAL            OVXLC  (NEC)
      REAL            OVYLC  (NEC)
      INTEGER         NWAVOV
      INTEGER         NXLOOV (NEC)
      INTEGER         NXUPOV (NEC)
      INTEGER         NYLOOV (NEC)
      INTEGER         NYUPOV (NEC)
      COMMON /EOVRLP/ OVDLAM, NWAVOV, OVXLC,  OVYLC, 
     1                NXLOOV, NXUPOV, NYLOOV, NYUPOV
C
C===============================================================================
