#!/bin/tcsh
# script for running  'spec_synth'
#
   if ( $# < 1) then 
     echo "Usage: Sfit scl_file [line_list]"
     echo ""
     echo "       where scl_file is the sfit input (required)"
     echo "       and line-list is a linelist file (optional)"
     exit 0
   endif

   setenv GLOBAL_DATA ${LTECODES}/share/osdata
   setenv SPECTRUM ${GLOBAL_DATA}/spectrum_data
   setenv OPACITY ${GLOBAL_DATA}/opacity

   ln -fs $SPECTRUM/lines_woolf.d   LINES
   if ( $# > 1) ln -fs $2         LINES

   ln -fs $SPECTRUM/balmer.d        BALMER
   ln -fs $SPECTRUM/epsilon.d       EPSILON

   ln -fs $SPECTRUM/he1_lines.d     HEI_NIST
   ln -fs $SPECTRUM/he1_stark.d     HEI_STARK
   ln -fs $SPECTRUM/he1_beauchamp.d HEI_BEAUCHAMP
   # ln -fs $SPECTRUM/hei_diffuse.d   HEI_DIFFUSE
   ln -fs $SPECTRUM/prof_4026.d     PROF_4026
   ln -fs $SPECTRUM/prof_4388.d     PROF_4388
   ln -fs $SPECTRUM/prof_4471.d     PROF_4471
   ln -fs $SPECTRUM/prof_4921.d     PROF_4921
   ln -fs $SPECTRUM/heii_red.d      HEII_RED

   ln -fs $SPECTRUM/peach_tables    PEACH_TABLES
   ln -fs $SPECTRUM/opwlgrid.d      WAVE

   ln -fs $OPACITY/op_mono         OPDATA
   ln -fs $OPACITY/fe_op           FEDATA

   ln -fs $SPECTRUM/vcslyman       VCSLYMAN
   ln -fs $SPECTRUM/vcsbalmer      VCSBALMER
   ln -fs $SPECTRUM/vcspaschen     VCSPASCHEN
   ln -fs spectrum.000             SPECTRUM.TMP

   sfit < $1

   rm -f BALMER EPSILON HEI* PROF_* VCS* WAVE
   rm -f PEACH_TABLES LINES SPECTRUM.TMP OPDATA FEDATA


