*+ CHR_CLEAN - Remove all non-printable ASCII characters from a string.
      SUBROUTINE CHR_CLEAN (STRING)
*    Description :
*     Replace all non-printable characters in a string with blanks.
*    Invocation :
*     CALL CHR_CLEAN (STRING)
*    Arguments :
*     STRING  =  CHARACTER*(*) (Modified)
*           String to be cleaned.
*    Method :
*     Assume that the ASCII collating sequence is given by the
*     ICHAR function.   Replace all characters with ASCII code
*     outside the range 32 to 127 (corresponding to the range of
*     printable characters).
*    Authors :
*     Jack Giddings.            (UCL::JRG)
*     A C Davenhall.            (ROE::ACD)
*    History :
*     3-JAN-1983:   Original.                              (UCL::JRG)
*     7-NOV-1984:   Documentation improved.                (ROE::ACD)
*    Type definitions :
      IMPLICIT NONE   ! Force Total Declarations.
*    Import-Export :
      CHARACTER
     :  STRING*(*)    ! String to be cleaned.
*    External references :
      INTEGER
     :  CHR_LEN,      ! String length.
     :  ICHAR         ! Fortran 77 Character Index
*    Local Constants :
      CHARACTER
     :  RPLVAL        ! Replacement value for unprintable characters.
      PARAMETER
     : (RPLVAL=' ')
*    Local variables :
      INTEGER
     :  ASCII,        ! ASCII character code.
     :  SIZE,         ! Character count.
     :  INDEX         ! Loop index.
*-

      SIZE = CHR_LEN (STRING)

      DO INDEX = 1, SIZE
         ASCII = ICHAR(STRING(INDEX:INDEX))
         IF (ASCII .LT. 32 .OR. ASCII .GT. 127) THEN
            STRING(INDEX:INDEX) = RPLVAL
         END IF
      END DO

      END
