*+  CHR_FIWS - Find start of next word
      SUBROUTINE CHR_FIWS (STRING, INDEX, STATUS)
*    Description : 
*     Find the start of the next word (skip spaces, tabs., and commas).
*     Note that the end of the current word is not found before looking
*     for the start of the next. This routine is expected to be used
*     in conjunction with CHR_FIWE.
*    Invocation :
*     CALL CHR_FIWS (STRING, INDEX, STATUS)
*    Parameters : 
*     STRING=CHARACTER*(*)(Given)
*           The string to be searched.
*     INDEX=INTEGER(Modified)
*           The given value is the character position within STRING
*           at which searching is to start.
*           If INDEX is less than 1, the search starts at position 1.
*           The returned value is the character position at which the
*           next word starts. 
*           If INDEX already points within a word, it will not change.
*           If no word is found, INDEX will point to the end of the 
*           string, and STATUS will be set.
*     STATUS=INTEGER(Modified)
*           Variable holding the status value.
*           If this variable is not SAI__OK on entry, then the
*           routine will return without action.
*           If no word found, STATUS is set to CHR__WRDNOTFND.
*    Method : 
*     <description of how the application works> 
*    Authors : 
*     Jon Fairclough.  (JACH::JHF)
*    History : 
*     28-Oct-1989:  Original
*     16-Aug-1989:  Changed name FIND_WORD_START to FIWS.
*                   Change variable names for consistency with CHR.
*                   Improve prologue documentation.
*                   Change to ADAM__OK to SAI__OK.  (RLVAD::AJC)
*    Type Definitions : 
      IMPLICIT NONE 
*    Global constants : 
      INCLUDE 'sae_par.f'
      INCLUDE 'chr_err.f'
*    Import:
      CHARACTER*(*) STRING
      INTEGER INDEX
*    Export:
*     <declarations for variables output from routine>
*    Status : 
      INTEGER STATUS 
*    External references : 
*     <declarations for external function references> 
*    Global variables : 
*     <any INCLUDE files for global variables held in named COMMON> 
*    Local Constants : 
*     <local constants defined by PARAMETER> 
*    Local variables : 
      INTEGER LENGTH
*    Internal References : 
*     <declarations for internal functions> 
*    Local data : 
      CHARACTER TAB
*     PARAMETER (TAB=CHAR(9)) 
*- 
      IF (STATUS .NE. SAI__OK) RETURN
      TAB=CHAR(9) 
*
*    Begin
*
      LENGTH = LEN (STRING)
      IF (INDEX .GE. LENGTH) GOTO 999
      IF (INDEX .LT. 1) INDEX = 1
      DO WHILE (STRING(INDEX:INDEX) .EQ. ' ' .OR. 
     :          STRING(INDEX:INDEX) .EQ. TAB .OR.
     :          STRING(INDEX:INDEX) .EQ. ',') 
            IF (INDEX .GE. LENGTH) GOTO 999
            INDEX = INDEX + 1
      ENDDO
      RETURN
*
999   CONTINUE
      INDEX = LENGTH
      STATUS = CHR__WRDNOTFND
*
*    End
*
      END
