*+ CHR_INDEX - Find the index of a substring in a string.
      INTEGER FUNCTION CHR_INDEX (STRING,SUBSTR)
*    Description :
*     Find the position of a given substring in the given string.
*     This routine exists for historical reasons; its function is
*     better performed by the Fortran intrinsic function INDEX,
*     called directly.
*    Invocation :
*     INTEGER = CHR_INDEX (STRING, SUBSTR)
*    Arguments :
*     STRING  =  CHARACTER*(*) (Given)
*           String to be indexed.
*     SUBSTR  =  CHARACTER**(*) (Given)
*           Substring that is to be indexed.
*    Result :
*     CHR_INDEX = INTEGER
*           Returns the position of SUBSTR within STRING
*    Method :
*     Use the Fortran 77 INDEX function.
*    Authors :
*     Jack Giddings.        (UCL::JRG)
*     A C Davenhall.        (ROE::ACD)
*    History :
*     3-JAN-1983:    Original.                           (UCL::JRG)
*     16-NOV-1984:   Improved documentation.             (ROE::ACD)
*      2-SEP-1988:   Added to description                (RAL::AJC)
*    Type definitions :
      IMPLICIT NONE        ! Force Total Declarations.
*    Import :
      CHARACTER
     :  STRING*(*),        ! String to be indexed in.
     :  SUBSTR*(*)         ! Substring to be indexed.
*    Function value :
*     INT CHR_INDEX        ! Index of character in string.
*    External references :
      INTEGER
     :  INDEX              ! Fortran 77 index function.
*-
      
      CHR_INDEX = INDEX(STRING, SUBSTR)

      END
