*+  CHR_ISALF - Determine whether a character is alphabetic.
      LOGICAL FUNCTION CHR_ISALF( CHAR )
*    Description :
*     The given character, CHAR, is tested for being alphabetic,
*     (A - Z or a - z).
*    Invocation :
*     LOGICAL = CHR_ISALF( CHAR )
*    Arguments :
*     CHAR = CHARACTER (Given)
*           Character to be tested.
*    Result :
*     CHR_ISALF= LOGICAL
*           Returns .TRUE. if the given character is alphabetic;
*           returns .FALSE. otherwise.
*    Method :
*     Check ascii value of given character against range of
*     ascii values for upper and lower case alphabetic characters.
*    Authors :
*     Dave Baines. (ROE::ASOC5)
*    History :
*     28/06/1984 : Original version (ROE::ASOC5)
*      2/09/1988 : Remove INCLUDE 'SAE_PAR'  (RAL::AJC)
*     26/10/1988 : Improve documentation  (RAL::AJC)
*     25/01/1990 : Use local variable instead of function name for tests
*                  and ICHAR instead of parameters because of DECstation
*                  compiler bugs.
*    Type Definitions :
      IMPLICIT NONE ! switch off default typing
*    Import :
      CHARACTER
     :  CHAR ! character to be tested
*    External references :
      INTEGER ICHAR ! returns ascii value of character
*    Local Constants :
*    Local Variables :
      INTEGER
     :  ASCII ! ascii value of passed character
      LOGICAL TEST
*-

*    get ascii value of passed character
      ASCII = ICHAR( CHAR )

*    test ascii value of character against ascii value of 'A'
      TEST = ( ASCII .GE. ICHAR('A') )

*    check for already not true
      IF( TEST ) THEN

*       test ascii value of character against ascii value of 'Z'
         TEST = ( ASCII .LE. ICHAR('Z'))

*       check for already found an alphabetic character
         IF( .NOT. TEST ) THEN

*          test ascii value of character against ascii value of 'a'
            TEST = ( ASCII .GE. ICHAR('a') )

*          check for already not true
            IF( TEST ) THEN

*             test ascii value of character against ascii value of 'z'
               TEST = ( ASCII .LE. ICHAR('z') )
            ENDIF
         ENDIF
      ENDIF
      CHR_ISALF = TEST
      END
