*+ CHR_ISALM - Determine whether a character is alphanumeric.
      LOGICAL FUNCTION CHR_ISALM (CHAR)
*    Description :
*     Determine whether a given character is alphanumeric,
*     (A - Z or a - z or 0 - 9 or _). Note that this routine treats 
*     underscore as an honorary alphanumeric.
*    Invocation :
*     LOGICAL = CHR_ISALM (CHAR)
*    Arguments :
*     CHAR  =  CHARACTER*1 (Given)
*           Character to be tested.
*    Result :
*     CHR_ISALM = LOGICAL
*           Returns .TRUE. if the given character is alphanumeric;
*           returns .FALSE. otherwise.
*    Method :
*     Use CHR_ISALF, CHR_ISNUM and an explicit test for '_'.
*    Authors :
*     Jack Giddings.       (UCL::JRG)
*     A C Davenhall.       (ROE::ACD)
*    History :
*     3-JAN-1983:     Original.                        (UCL::JRG)
*     16-NOV-1984:    Documentation improved.          (ROE::ACD)
*     26-OCT-1988:    Documentation improved.          (RAL::AJC)
*     25-JAN-1990:    Use local variable instead of function name
*                     in tests because of DECstation compiler
*                     bugs                             (RAL::DLT)
*    Type definitions :
      IMPLICIT NONE            ! Force Total Declarations.
*    Import :
      CHARACTER
     : CHAR*1                  ! Character to be typed.
*    External references :
      LOGICAL
     :  CHR_ISALF,             ! Whether alphabetic?
     :  CHR_ISDIG              ! Whether digit?
*    Local variables
      LOGICAL TEST
*-
      
      TEST = CHR_ISALF(CHAR)
      IF (.NOT.TEST) THEN
         TEST = CHR_ISDIG(CHAR)
         IF (.NOT.TEST) THEN
            TEST = CHAR .EQ. '_'
         END IF
      END IF
      CHR_ISALM = TEST
      END
