*+  CHR_ISDIG - Determine whether a character is a digit.
      LOGICAL FUNCTION CHR_ISDIG( CHAR )
*    Description :
*     Determine whether the given character is a digit (0 - 9)
*    Invocation :
*     LOGICAL = CHR_ISDIG( CHAR )
*    Arguments :
*     CHAR = CHARACTER (Given)
*           Character to be tested.
*    Result :
*     CHR_ISDIG = LOGICAL
*           Returns .TRUE. if the given character is a digit;
*           returns .FALSE. otherwise.
*    Method :
*     Check ascii value of given character against range of
*     ascii values for digits.
*    Authors :
*     Dave Baines. (ROE::ASOC5)
*    History :
*     28/06/1984 : Original version (ROE::ASOC5)
*      2/09/1988 : Remove INCLUDE 'SAE_PAR'  (RAL::AJC)
*     26/10/1988 : Improve documentation.  (RAL::AJC)
*     25-JAN-1990: Use local variable instead of function name
*                  in tests because of DECstation compiler
*                  bugs                             (RAL::DLT)
*    Type Definitions :
      IMPLICIT NONE ! switch off default typing
*    Import :
      CHARACTER
     :  CHAR ! character to be tested
*    External references :
      INTEGER ICHAR ! returns ascii value of character
*    Local Variables :
      INTEGER
     :  ASCII ! ascii value of passed character
      LOGICAL TEST
*-

*    get ascii value of passed character
      ASCII = ICHAR( CHAR )

*    test ascii value of character against ascii value of zero
      TEST = ( ASCII .GE. ICHAR('0') )

*    check for already not true
      IF( TEST ) THEN

*       test ascii value of character against ascii value of nine
         TEST = ( ASCII .LE. ICHAR('9') )
      ENDIF
      CHR_ISDIG = TEST
      END
