*+ CHR_LCASE - Convert a string to lower case.
      SUBROUTINE CHR_LCASE (STRING)
*    Description :
*     The characters in the string are all converted to lower case
*     in situ.
*    Invocation :
*     CALL CHR_LCASE (STRING)
*    Arguments :
*     STRING  =  CHARACTER*(*) (Modified)
*           String to be converted to lower case.
*    Method :
*     Use CHR_LEN to find the string length, and then CHR_LOWER to
*     convert each character.
*    Deficiencies :
*     This implementation does not use VAX utilities and hence
*     is slower than it could be. However it retains the
*     advantage of being standard Fortran 77.
*    Authors :
*     Jack Giddings.                  (UCL::JRG)
*     A C Davenhall.                  (ROE::ACD)
*    History :
*     3-JAN-1983:    Original.                        (UCL::JRG)
*     16-NOV-1984:   Documentation improved.          (ROE::ACD)
*     03-OCT-1988:   Documentation improved.          (RAL::AJC)
*    Type definitions :
      IMPLICIT NONE        ! Force Total Declarations.
*    Import-Export :
      CHARACTER
     :  STRING*(*)         ! String to be converted.
*    External references :
      CHARACTER
     :  CHR_LOWER          ! Convert SWT character to lower case.
      INTEGER
     :  CHR_LEN            ! String length.
*    Local variables :
      INTEGER
     :  SIZE,              ! Size of string.
     :  INDEX              ! Current position in the string.
*-

      SIZE = CHR_LEN(STRING)

      DO INDEX = 1, SIZE
         STRING(INDEX:INDEX) = CHR_LOWER(STRING(INDEX:INDEX))
      END DO

      END
