*+ CHR_LTOC - Encode a logical value as a string.
      SUBROUTINE CHR_LTOC (LVALUE,CVALUE,NCHAR)
*    Description :
*     Encode a logical value as one of the character strings `TRUE'
*     or `FALSE'.
*    Invocation :
*     CALL CHR_LTOC (LVALUE, CVALUE, NCHAR)
*    Arguments :
*     LVALUE  =  LOGICAL (Given)
*           Value to be encoded as a character string.
*     CVALUE  =  CHARACTER*(*) (Returned)
*           String into which the value is to be encoded.
*     NCHAR  =  INTEGER (Returned)
*           Field width used in encoding the value.
*    Method :
*     If the given value is .TRUE., then
*       encode 'TRUE' into the output string
*     else the given value is .FALSE.
*       encode 'FALSE' into the output string
*     end if
*     Set the number of characters to be the number of characters
*     in 'TRUE' or 'FALSE'.
*    Authors :
*     Jack Giddings.           (UCL::JRG)
*     A C Davenhall.           (ROE::ACD)
*     A J Chipperfield         (RAL::AJC)
*    History :
*     3-JAN-1983:  Original.                          (UCL::JRG)
*     4-OCT-1984:  Documentation improved.            (ROE::ACD)
*     16-JUN-1989: Avoid using CHR_LEN                (RAL::AJC)
*     15-JAN-1990 : Eliminate redundant EXTERNAL      (RAL::DLT)
*    Type definitions :
      IMPLICIT NONE       ! Force Total Declarations.
*    Import :
      LOGICAL
     :  LVALUE            ! Value to be coded.
*    Export :
      CHARACTER
     :  CVALUE*(*)        ! String to be filled.
      INTEGER
     :  NCHAR             ! Field width.
*-

      IF (LVALUE) THEN
         CVALUE = 'TRUE'
         NCHAR = 4
      ELSE
         CVALUE = 'FALSE'
         NCHAR = 5
      END IF

      END
