*+ CHR_PUTI - Put integer value into string at given position.
      SUBROUTINE CHR_PUTI (IVALUE,STRING,LENGTH)
*    Description :
*     The integer number is encoded into a concise string
*     which is copied into the part of STRING beginning at
*     position LENGTH+1.
*     LENGTH is updated to indicate the end position of the encoding
*     of the number within STRING.
*     This is a combination of CHR_ITOC and CHR_PUTC.
*    Invocation :
*     CALL CHR_PUTI (IVALUE, STRING, LENGTH)
*    Arguments :
*     IVALUE  =  INTEGER (Given)
*           Value to be encoded into the string.
*     STRING  =  CHARACTER*(*) (Modified)
*           String into which DVALUE is to be copied.
*     LENGTH  =  INTEGER (Modified)
*           Position pointer within STRING.
*    Authors :
*     Jack Giddings.       (UCL::JRG)
*     A C Davenhall.       (ROE::ACD)
*    History :
*     03-JAN-1983:  Original.                            (UCL::JRG)
*     02-OCT-1984:  Documentation improved.              (ROE::ACD)
*     13-SEP-1988:  Remove calculation of LEN(STRING)
*                   Documentation improved               (RAL::AJC)
*    Type definitions :
      IMPLICIT NONE        ! Force Total Declarations.
*    Import :
      INTEGER
     :  IVALUE             ! Double precision value to be encoded.
*    Import-Export :
      CHARACTER
     :  STRING*(*)         ! Modified string.
      INTEGER
     :  LENGTH             ! Position pointer within STRING.
*    Local constants :
      INTEGER
     :  SZSTR              ! Token size.
      PARAMETER
     : (SZSTR=80)
*    Local variables :
      CHARACTER
     :  STR1*(SZSTR)       ! Temporary string to hold number.
      INTEGER
     :  SIZE1              ! size of STR1.
*-

      CALL CHR_ITOC (IVALUE,STR1,SIZE1)
      CALL CHR_PUTC (STR1(1:SIZE1),STRING,LENGTH)

      END
