*+ CHR_PUTL - Put logical value into string at given position.
      SUBROUTINE CHR_PUTL (LVALUE,STRING,LENGTH)
*    Description :
*     The logical value is encoded into `T' or `F'
*     which is copied into the part of STRING beginning at
*     position LENGTH+1 using subroutine CHR_PUTC.
*     LENGTH is updated to indicate the end position of the encoding
*     of the logical value within STRING.
*    Invocation :
*     CALL CHR_PUTL (LVALUE, STRING, LENGTH)
*    Arguments :
*     LVALUE  =  LOGICAL (Given)
*           Logical value to be encoded in the string.
*     STRING  =  CHARACTER*(*) (Modified)
*           String to be updated by the addition of LVALUE.
*     LENGTH  =  INTEGER (Modified)
*           Position pointer within STRING
*    Authors :
*     Jack Giddings.      (UCL::JRG)
*     A C Davenhall.      (ROE::ACD)
*    History :
*     03-JAN-1983:  Original.                            (UCL::JRG)
*     02-OCT-1984:  Documentation improved.              (ROE::ACD)
*     03-OCT-1988:  Documentation improved.              (RAL::AJC)
*    Type definitions :
      IMPLICIT NONE       ! Force Total Declarations.
*    Import :
      LOGICAL
     :  LVALUE            ! Logical value to be encoded.
*    Import-Export :
      CHARACTER
     :  STRING*(*)        ! Modified string.
      INTEGER
     :  LENGTH            ! Position pointer within STRING.
*-

      IF (LVALUE) THEN
         CALL CHR_PUTC ('T',STRING,LENGTH)
      ELSE
         CALL CHR_PUTC ('F',STRING,LENGTH)
      END IF

      END
