*+  CHR_TRUNC - Truncate string rightwards from a given delimiter.
      SUBROUTINE CHR_TRUNC (DELIM,STRING)
*    Description :
*     The routine is given a variable representing a single character
*     delimiter. The input string is examined for the first occurrence
*     of the delimiter. When an occurrence is found, that character and
*     all subsequent characters in the string are replaced by blanks.
*    Invocation :
*     CALL CHR_TRUNC (DELIM, STRING)
*    Arguments :
*     DELIM  =  CHARACTER*1 (Given)
*           Single character delimiter.
*     STRING  =  CHARACTER*(*) (Modified)
*           String that is to be examined. All characters from, and
*           including, the first occurrence of DELIM will be
*           replaced with blanks.
*    Method :
*     Attempt to find the first occurrence of the delimiter in the
*     string.
*     if the delimter is found then
*       replace the delimiter and all subsequent elements with blanks.
*     end if
*     Note-
*      This routine is effectively a combination of CHR_INDEX (INDEX)
*      and CHR_TERM.
*    Bugs :
*     None known.
*    Authors :
*     A C Davenhall.      (ROE::ACD)
*    History :
*     29/6/84:  Original version.                        (ROE::ACD)
*     13/9/88:  Change unhelpful (wrong) notes to Method
*               section of prologue
*               Remove calculation of LEN(STRING)        (RAL::AJC)
*     03/10/88: Improve documentation                    (RAL::AJC)
*    Type Definitions :
      IMPLICIT NONE
*    Import :
      CHARACTER
     :  DELIM*1     ! Single character delimiter.
*    Import-Export :
      CHARACTER
     :  STRING*(*)  ! String to be modified.
*    Local variables :
      INTEGER
     :  POSN        ! Position of the first occurrence of 'DELIM'.
*-

      POSN=INDEX(STRING,DELIM)

      IF (POSN.GT.0) THEN
         STRING(POSN:)=' '
      END IF

      END
