*+ CHR_UCASE - Convert a string to upper case.
      SUBROUTINE CHR_UCASE (STRING)
*    Description :
*     The characters in the string are all converted to upper case.
*    Invocation :
*     CALL CHR_UCASE (STRING)
*    Arguments :
*     STRING  =  CHARACTER*(*) (Modified)
*           String to be converted.
*    Method :
*     !Original method -
*     ! Use CHR_LEN to find the string length, and then CHR_UPPER to
*     ! convert each character.
*     Vax specific method -
*      Use STR$UPCASE from the VMS Run-Time Library
*      The original code is commented out with !
*    Deficiencies :
*     This routine is implemented using the VAX VMS Run Time Library
*     routine STR$UPCASE.
*    Authors :
*     Jack Giddings.     (UCL::JRG)
*     A C Davenhall.     (ROE::ACD)
*    History :
*     3-JAN-1983:    Original.                     (UCL::JRG)
*     16-NOV-1984:   Documentation improved.       (ROE::ACD)
*     23-AUG-1988:   Use VMS Run-Time Library      (RAL::AJC)
*     13-SEP-1988:   Improve documentation         (RAL::AJC)
*    Type definitions :
      IMPLICIT NONE         ! Force Total Declarations.
*    Import-Export :
      CHARACTER
     :  STRING*(*)          ! String to be converted.
*    External references :
      CHARACTER
     :  CHR_UPPER           ! Convert SWT character to upper case.
      INTEGER
     :  CHR_LEN             ! String length.
*    Local variables :
      INTEGER
     :  SIZE,               ! String size.
     :  INDEX               ! Current position in the string.
*-

*    Convert string to uppercase
C      CALL STR$UPCASE ( STRING, STRING )

*    Original code
      SIZE = CHR_LEN(STRING)

      DO INDEX = 1, SIZE
         STRING(INDEX:INDEX) = CHR_UPPER(STRING(INDEX:INDEX))
      END DO

      END
