  MODULE LTE_MODEL

    ! This module stores the optical depth scale information,
    ! and variables that are a function of optical depth
    ! Dimension of tau set by number of depth points, ND

    USE LTE_PRECISIONS
    IMPLICIT NONE
    PRIVATE :: QQ, RR

      REAL, ALLOCATABLE, DIMENSION (:) :: TAU      ! optical depth (tau_refwl)
      REAL, ALLOCATABLE, DIMENSION (:) :: ALQ      ! increment in log optical depth scale   
 
    ! functions of optical depth:

      REAL, ALLOCATABLE, DIMENSION (:) :: TEMP     ! grey temperature stratification
      REAL, ALLOCATABLE, DIMENSION (:) :: P_TOTAL  ! total pressure
      REAL, ALLOCATABLE, DIMENSION (:) :: P_E      ! electron pressure
      REAL, ALLOCATABLE, DIMENSION (:) :: KAPPA    ! absorption coefficient (kappa_refwl)
      REAL, ALLOCATABLE, DIMENSION (:) :: SIG      ! scattering coefficient
      REAL(KIND=QQ), ALLOCATABLE, DIMENSION (:) :: KAPPA_NU ! Line absorption (ODF)
      REAL(KIND=QQ), ALLOCATABLE, DIMENSION (:) :: KAPPA_BB ! Line absorption (OS)

    ! check for passing values into rtf_feaut
      REAL, ALLOCATABLE, DIMENSION (:) :: CAC      ! 

  END MODULE LTE_MODEL
