  MODULE LTE_WLGRID

    ! This module stores the wavelength grid, and parameters and values
    ! associated with it

    USE LTE_PRECISIONS
    IMPLICIT NONE
    PRIVATE :: QQ, RR

    ! LL : number of wavelengths in wavelength grid
      INTEGER :: LA, LL, NN, KK

    ! dimension of wl will be set by LL, the second value in the input file,
      REAL, ALLOCATABLE, DIMENSION (:) :: WL     ! Wavelength grid
      REAL, ALLOCATABLE, DIMENSION (:) :: BLK    ! Line blocking factor (1-F/F_cont)
      REAL, ALLOCATABLE, DIMENSION (:) :: FNUE   ! Emergent fluxes F_nu(lambda)

      REAL :: REFWL
      REAL(KIND=QQ) :: NU_REFWL     ! frequency

    ! Frequency grid
      REAL(KIND=QQ), ALLOCATABLE, DIMENSION (:) :: NU       ! Frequency grid 
     
  END MODULE LTE_WLGRID
