      FUNCTION INDEXI (N,MM, N1,N2)

!+
!     PROGRAM:      INDEXI
!     PURPOSE:      
!=                  FIND THE INDEX OF THE ARRAY ELEMENT CORRESPONDING TO A GIVEN VALUE.
!                   THE ARRAY ELEMENTS ARE ASSUMED TO BE MONOTONIC 
!                   (EITHER INCREASING OR DECREASING)
!     REFERENCES:   NONE
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      05.02.88  C.S.JEFFERY / ST.ANDREWS
!
!     INPUT:        N         INTEGER VARIABLE
!                   MM        INTEGER ARRAY
!                   N1, N2    INDEXES DELIMITING SEGMENT OF ARRAY TO BE SEARCHED
!
!     OUTPUT:       INDEXI    INTEGER INDEX
!-

      INTEGER       N, MM(*), N1, N2, INDEXI
      INTEGER       NLO, NHI, NST, I, IND
!.

!.....FIND UPPER AND LOWER END OF SEARCH RANGE
      IF (MM(N1).LT.MM(N2)) THEN
         NLO = N1
         NHI = N2
         NST = 1
      ELSE
         NLO = N2
         NHI = N1
         NST = -1
      ENDIF

!.....SEARCH FOR ELEMENT IN ARRAY
      IND = 0
      DO 10 I = NLO,NHI,NST
         IF (N.EQ.MM(I)) THEN
            IND = I
            GOTO 11
         ENDIF
10       CONTINUE
      WRITE (*,*) 'INDEXI: Specified element not found: INDEXI = 0'

!.....SET OUTPUT VALUE
11    INDEXI = IND

!.....QUIT
      END
