      SUBROUTINE LSQRPT (NORDER, AA, EE, RMS, CH2)
!+
!     PROGRAM:      LSQRPT
!     PURPOSE:      
!=                  REPORTS RESULTS OF LEAST SQUARES FIT.
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      02.11.87  C.S.JEFFERY / ST.ANDREWS
!
!     INPUT:        NORDER        ORDER OF FITTED POLYNOMIAL
!                   AA            POLYNOMIAL COEFFICIENTS
!                   EE            ERRORS IN COEFFICIENTS
!                   RMS           RMS RESIDUAL OF FIT
!                   CH2           CHI-SQUARED STATISTIC
!-

       INTEGER NORDER
       REAL    AA(*), EE(*), RMS, CH2
       CHARACTER COFNAM*56, BLANK*50
       DATA BLANK /'                                                  '/
!.

!.....REPORT HEADER
      WRITE(*,'(/A)') 'LSQRPT: Least squares polynomial fit'
      WRITE(*,'(A56,'':'',I10)') 'Order ',NORDER

!.....REPORT COEFFICIENTS
      WRITE(*,'(/A/)') '        Fit Coefficients'
      DO 100 I = 0,NORDER
         IF (I.LT.10) COFNAM = BLANK//'  A'//CHAR(48+I)
         IF (10.LE.I) COFNAM = BLANK//' A1'//CHAR(38+I)
         WRITE(*,'(A56,'':'',1PE12.4)') COFNAM,        AA(I+1)
         WRITE(*,'(A56,'':'',1PE12.4)') BLANK//'+/-',  EE(I+1)
100   CONTINUE

!.....REPORT STATISTICS
      WRITE(*,'(/A56,'':'',1PE12.4)') '        rms residual',RMS
      WRITE(*,'(A56,'':'',1PE12.4/)') '        Chi-squared ',CH2

!.....QUIT
      END
