      FUNCTION NCR (N,R,IERR)
!+
!     PROGRAM:      NCR
!     PURPOSE:      
!=                  RETURN THE VALUE OF THE BINOMIAL COEFFICIENT nCr.
!
!     HISTORY:
!     1.0           VAX 11/780      .  .83  C.S.JEFFERY / ST.ANDREWS
!     2.0           microVAX      08.02.88  C.S.JEFFERY / ST.ANDREWS
!
!     INPUT:        N
!                   R
!
!     OUTPUT:       NCR
!                   IERR
!-

      IMPLICIT INTEGER (A-Z)
      INTEGER NSTORE (0:8,0:8)

      DATA NSTORE/ 1, 0, 0, 0, 0, 0, 0, 0, 0,
     1             1, 1, 0, 0, 0, 0, 0, 0, 0,
     2             1, 2, 1, 0, 0, 0, 0, 0, 0,
     3             1, 3, 3, 1, 0, 0, 0, 0, 0,
     4             1, 4, 6, 4, 1, 0, 0, 0, 0,
     5             1, 5,10,10, 5, 1, 0, 0, 0,
     6             1, 6,15,20,15, 6, 1, 0, 0,
     7             1, 7,21,35,35,21, 7, 1, 0,
     8             1, 8,28,56,70,56,28, 8, 1 /
!.

!  ...FLAG ILLEGAL BINOMIAL COMBINAION
      IERR = 0
      IF (R.GT.N.OR.N.GT.18) THEN
        NCR = 0
        IERR = 1

!  ...RETRIEVE COEFFICIENT FROM TABLES
      ELSEIF (N.LT.9) THEN
        NCR = NSTORE(R,N)

!  ...EVALUATE EXPLICITLY
      ELSE
        NCR = 1
        DO 10 IN = N,MAX(R+1,N-R+1),-1
10      NCR = NCR * IN
        DO 20 IR = MIN(R,N-R),1,-1
20      NCR = NCR / IR
      ENDIF

!  ...QUIT
      END
