      SUBROUTINE PNEVAL (NORDER, PNCOFF, X, F)

!+
!     PROGRAM:      PNEVAL
!     PURPOSE:      
!=    Evaluates a polynomial of the form F(X)=A0 + A1*X + A2*X*X + ... + AN*X**N.
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      08.02.88  C.S.JEFFERY / ST.ANDREWS
!
!     INPUT:        NORDER       ORDER OF POLYNOMIAL (EQ QUADRATIC = 2)
!                   PNCOFF       COEFFICIENTS OF POLYNOMIAL
!                   X            VALUE AT WHICH F(X) IS TO BE EVALUATED
!
!     OUTPUT:       F            F(X)
!
!     NOTE:         DIMENSION OF PNCOFF MUST BE .GE. NORDER+1
!-

      INTEGER       NORDER,  I,  J,  II, N
      REAL          PNCOFF(*), X, F, FX, SX
!.

!  ...EXPAND POLYNOMIAL IN CLOSED FORM
      N  = NORDER + 1
      FX = PNCOFF(N)
      DO 1 I = N-1,1,-1
1       FX = FX*X + PNCOFF(I)

!  ...GET RESULT
      F = FX

!  ...QUIT
      END
