      SUBROUTINE PRBOLA (XV,YV,ND, A,EA,B,EB,C,EC, X0,EX0,Y0,EY0, IS)

!+
!     PROGRAM:   PRBOLA
!     PURPOSE:   
!=               FIT A PARABOLA TO ND POINTS CONTAINED IN XV,YV
!                Of THE FORM :                       Y = A*X*X + B*X + C
!                WITH A TURNING POINT AT                (X0,Y0)
!
!     HISTORY:   VERSION  DATE     MACHINE     PURPOSE         AUTHOR
!                0.0      07.05.86 CRAY-1S     FSWEEP(SINELS) C.S.JEFFERY
!                1.0      12.06.87 MICRO-VAX   PROFILE        C.S.JEFFERY
!
!-

      IMPLICIT REAL (A-H,O-Z)
!   ..SUBROUTINE ARGUMENTS
      REAL XV(*), YV(*)
      REAL A,B,C,X0,Y0, EA,EB,EC,EX0,EY0
      INTEGER ND, IS
!   ..LOCAL WORK ARRAYS
      REAL S(3,3), U(3,3), T(3), R(3)
!.


!.....SET COEFFICIENTS TO ZERO
      DO 210 J = 1,3
         T(J) = 0
         DO 200 K = 1,3
            S(K,J) = 0
  200    CONTINUE
  210 CONTINUE

!.....APPLY A ZERO POINT SHIFT TO CONTROL ERRORS
!     ... experimental 19/11/98 did not work properly: need to rethink
!     NMID = INT(ND/2)
!     XZERO = XV(NMID)

!.....EVALUATE SUMMATIONS
      DO 250 L = 1,ND
         X    = XV(L) 
         XX   = X * X
         Y    = YV(L)
         R(1) = XX
         R(2) = X
         R(3) = 1.0
         DO 240 J = 1,3
            S(J,1) = S(J,1) + R(J)*XX
            S(J,2) = S(J,2) + R(J)*X
            S(J,3) = S(J,3) + R(J)*1.0
            T(J)   = T(J)   + R(J)*Y
  240    CONTINUE
  250 CONTINUE

!.....SOLVE FOR  Y = A*X**2 + B*X + C

      CALL MXINV (S,U,3,3,IFAIL)
      CALL MXSUBS (T,R)
      A = R(1)
      B = R(2)
      C = R(3)

!.....FIND POSITION OF TURNING POINT
      X0 = -B / (2*A) 
      Y0 = A*X0*X0 + B*X0 + C
      IF (A.LT.0) IS = -1
      IF (A.GE.0) IS = +1

!.....ERROR ANALYSIS
      SUM = 0
      DO 400 L = 1,ND
         FIT = A * XV(L)*XV(L) + B * XV(L) + C
         SUM = SUM + (YV(L)-FIT)**2
  400 CONTINUE
      RMS = SQRT ( SUM/ND )
      VRN = SUM / FLOAT(ND-3)
      EA  = SQRT (ABS(U(1,1))*VRN)
      EB  = SQRT (ABS(U(2,2))*VRN)
      EC  = SQRT (ABS(U(3,3))*VRN)
      EX0 = SQRT ((EA*X0/A)**2 + (EB*X0/B)**2)
      EY0 = SQRT ((EA*X0*X0)**2 + (EB*X0)**2 + EC**2)

!.....REINSTATE ZERO POINT SHIFT
!     ... experimental 19/11/98
!     AP = A
!     BP = (B - 2*A*XZERO)
!     CP = (A*XZERO*XZERO-B*XZERO) + C
!     A  = AP
!     B  = BP
!     C  = CP
!     X0 = X0 + XZERO

      END
