      SUBROUTINE RKSTEP (DIFFEQ,NEQNS,X0,Y0,DX,X1,Y1,DMIN,DMAX,IWRITE)

!+
!=    Executes one step of a Runge-Kutta 4th order itegration on a set of first order differential equations.
!     SB RKSTEP IS A GENERAL PURPOSE ROUTINE TO EXECUTE
!     ONE STEP OF A RUNGE-KUTTA 4TH ORDER INTEGRATION ON A SET OF
!     FIRST ORDER DE'S:  THESE ARE SUPPLIED BY AN EXTERNAL SUBROUTINE
!     THIS VERSION USES A VARIABLE STEP-LENGTH FEATURE
!-
      IMPLICIT REAL (A-H,O-Z)
      REAL K(10,4)
      DIMENSION DELY(10),Y0(NEQNS),Y(10),YK(10),Y1(NEQNS),DY(10)
      EXTERNAL DIFFEQ
      DATA ONE/1.E0/, HALF/0.5/
!.
      NQ=NEQNS
!     IF (IWRITE.GT.95) WRITE(6,'(I4,1P6E10.2)') NQ,X0,DX

      X=X0
      DO 50 J=1,NQ
   50 Y(J)=Y0(J)
      ISDX = DX / ABS(DX)

!     SELECT STEPLENGTH, AND FIND FIRST QUADRATURE POINT
      CALL DIFFEQ (X,Y,DY)
      AX0 = ABS(X0)
      DX = MAX(MIN(ABS(DX),DMAX*MIN(AX0,ONE)),MAX(DMIN,DMAX*AX0))
      DO 1 J=1,NQ
    1 DX = MIN(DX,DMAX/SQRT(ONE+DY(J)*DY(J)),DMAX*ABS(Y(J)/DY(J)))
      DX = ISDX * MAX(DX,DMIN*MAX(ONE,AX0))
      H = DX

      DO 100 J=1,NQ
  100 K(J,1) = H * DY(J)

      XK=X+H*HALF
      DO 200 J=1,NQ
  200 YK(J)=Y(J)+K(J,1)*HALF
      CALL DIFFEQ (XK,YK,DY)
      DO 220 J=1,NQ
  220 K(J,2) = H * DY(J)

      DO 300 J=1,NQ
  300 YK(J)=Y(J)+K(J,2)*HALF
      CALL DIFFEQ (XK,YK,DY)
      DO 320 J=1,NQ
  320 K(J,3) = H * DY(J)

      XK=X+H
      DO 400 J=1,NQ
  400 YK(J)=Y(J)+K(J,3)
      CALL DIFFEQ (XK,YK,DY)
      DO 420 J=1,NQ
         K(J,4) = H * DY(J)
         DELY(J) = (K(J,1)+2*K(J,2)+2*K(J,3)+K(J,4)) / 6.0
  420 CONTINUE

!     SET RESULTS FOR THIS INTEGRATION STEP
      X1 = XK
      DO 520 J = 1,NQ
         Y1(J) = Y(J) + DELY(J)
  520 CONTINUE

      END
