      SUBROUTINE STATS (X,N1,N2,AV,SD)

!+
!
!     PROGRAM:     STATS
!     TYPE:        SUBROUTINE
!     LANGUAGE:    FORTRAN 77
!     PURPOSE:     
!=                 FIND MEAN AND SAMPLE STANDARD DEVIATION OF A SUB-VECTOR
!     AUTHOR:      C.S.JEFFERY
!     VERSION:     II
!     PLACE:       UNIVERSITY OF KIEL
!     DATE:        25-NOV-86
!     HISTORY:     VERSION I - VAX 11/785
!                  VERSION II - PDP10
!
!     ARGUMENTS:
!        X         VECTOR CONTAINING DATA
!        N1        START INDEX OF SUB-VECTOR WITHIN X
!        N2        END   INDEX OF SUB-VECTOR WITHIN X
!        AV        MEAN OF DATA IN X
!        SD        STANDARD DEVIATION OF DATA IN X
!
!-
      IMPLICIT REAL (A-H,O-Z)
      DIMENSION X(*)
!.
!.....SET SUMS TO ZERO
      SX  = 0.
      SXX = 0.
      N   = 1 + N2 - N1

!.....COMPUTE SUMS
      DO 20 I = N1,N2
         SX  = SX  + X(I)
         SXX = SXX + X(I)*X(I)
 20   CONTINUE

!.....COMPUTE MEAN AND STANDARD DEVIATION
      FN = N
      AV = SX / FN
      SD = SQRT ( ABS ((SXX/FN) - (AV*AV)) )

!.....QUIT
      END
