      FUNCTION TRAP(X,Y,N,XLOWER,XUPPER,XC,FAC,B)

!+
!= Do trapezoidal integration of Y(*) between XLOWER and XUPPER
!  weighted by rotational broadening function ROT.  ROT is also
!  integrated between the same limits for correct normalization.
!  NORM is the normalization factor.
!-
      REAL X(*),Y(*),NORM
!.
!  Initialize TRAP and NORM
      TRAP=0.0
      NORM=0.0

!  Locate index in array X(*) corresponding to limits of integration
      CALL LOCATE(X,N,XLOWER,ILOWER)
      CALL LOCATE(X,N,XUPPER,IUPPER)

!  Trapezoidal integration
      XA=FAC*(XC-X(ILOWER))
      DO 1 I=ILOWER+1,IUPPER+1,1
         XB=FAC*(XC-X(I))
         RAB=(rot(xa,B)+rot(xb,B))/2.
         YAB=(Y(I-1)+Y(I))/2.
         WT=RAB*(XB-XA)
         TRAP=TRAP+YAB*WT
         NORM=NORM+WT
         XA=XB
   1  CONTINUE

!  Normalise TRAP
      IF (NORM.NE.0.) THEN
         TRAP=TRAP/NORM
         if (iupper.eq.n) then 
            CALL LOCATE(X,N,XC,I)
            TRAP=Y(I)
         endif
      ELSE
         CALL LOCATE(X,N,XC,I)
         TRAP=Y(I)
      ENDIF

!  Done
      END
