      SUBROUTINE VC03A  (M,NDIMAX,XD,YD,RD,WEIGHT,WD,XN,FN,GN,N,DN,
     :                   THETA,W)

!+
!=    No description.
!-
      IMPLICIT  REAL*4    (A-H,O-Z)
      IMPLICIT  INTEGER*4 (I-N)
      DIMENSION XD(*),YD(*),WD(*),RD(*),XN(*),FN(*),GN(*),
     :          DN(*),THETA(*),W(*)
      LOGICAL   WEIGHT
!.
      FACTOR=2.5216E-4

! Omit data with zero weights.

      MM=1
      J=1
      HLF=5.0E-1
      WDI=1.0E-1
      DO 1 I=2,M
      IF(WEIGHT) WDI=WD(I)
      IF(WDI.NE.0.0) GOTO 3
2     IF(I-M) 4,3,3
4     W(J)=XD(I)
      W(J+1)=YD(I)
      W(J+2)= FLOAT(I)
      J=J+3
      GOTO 1
3     MM=MM+1
      XD(MM)=XD(I)
      YD(MM)=YD(I)
      IF(WEIGHT) WD(MM)=WDI
1     CONTINUE
      J=1
      K=MM
7     IF(K-M) 5,6,6
5     K=K+1
      XD(K)=W(J)
      YD(K)=W(J+1)
      IF(WEIGHT) WD(K)=W(J+2)
      J=J+3
      GOTO 7

! Initialization of iterations.

6     JA=1
      write (6,*) 'weight', weight, wd(1)
      IF(WEIGHT.AND.WD(1).EQ.0.0) JA=2
9     N=5
      write (6,*) 'n-s', N, NDIMAX
      write (6,*) 'x-s', XD(1), XD(MM)
      IF(N-NDIMAX)100,100,110
100   XN(1)=XD(1)
      XN(5)=XD(MM)
      XN(3)=HLF*(XN(1)+XN(5))
      XN(2)=HLF*(XN(1)+XN(3))
      XN(4)=HLF*(XN(3)+XN(5))
      IW=7*MM+46
      DO 10 I=1,5
      J=IW+I
      W(J)=XN(I)
10    CONTINUE

! Calculate the histograms for new scale factors.

11    J=0
      K=1
      SA=0.0
      WDK=1.0
      WDK1=1.0
12    IF(WEIGHT) WDK=WD(K)
      SA=SA+WDK*WDK
      K=K+1
      IF(XD(K)-XD(1)) 12,12,13
13    IF(WEIGHT) WDK=WD(K)
      SA=(SA+HLF*WDK*WDK)/(XD(K)-XD(1))
14    J=J+1
      IF(XD(K)-XN(J+1)) 15,15,16
16    GN(J)=SA*(XN(J+1)-XN(J))
      GOTO 14
15    IF(WEIGHT) WDK=WD(K)
      GN(J)=SA*(XD(K)-XN(J))+HLF*WDK*WDK
17    K=K+1
      IF(K-MM) 18,18,19
18    IF(XD(K)-XN(J+1)) 20,20,21
20    IF(WEIGHT) WDK=WD(K)
      GN(J)=GN(J)+WDK*WDK
      GOTO 17
21    SA=HLF*(WDK1*WDK1+WDK*WDK)/(XD(K)-XD(K-1))
      GN(J)=GN(J)-HLF*WDK1*WDK1+SA*(XN(J+1)-XD(K-1))
      GOTO 14

! Calculate the new scale factors.

19    K=IW+2
      GN(1)=FACTOR*GN(1)*(W(K)-W(K-1))**8/(XN(2)-XN(1))
      DO 22 J=3,N
      IF(XN(J)-W(K)) 23,23,24
24    K=K+1
23    GN(J-1)=FACTOR*GN(J-1)*(W(K)-W(K-1))**8/(XN(J)-XN(J-1))
      GN(J-2)=ALOG(GN(J-2)+GN(J-1))
22    CONTINUE
      NN=N-2
      HS=1.386294
      DO 97 J=2,NN
      GN(J)=MIN(GN(J),GN(J-1)+HS)
97    CONTINUE
      J=NN-1
98    GN(J)=MIN(GN(J),GN(J+1)+HS)
      J=J-1
      IF(J) 99,99,98
99    DO 25 J=3,N
      THETA(J-1)=SQRT(EXP(GN(J-2))/(XN(J)-XN(J-2)))
25    CONTINUE

! Calculate the spline approximation with current knots.

      CALL VB06A(MM,N,XD,YD,RD,WEIGHT,WD,XN,FN,GN,DN,THETA,W)

! Apply statistical test for extra knots.

      J=IW+1
      JJ=0
      K=JA
      TMAX=0.0
      IIS=1
26    KC=-1
      SW=0.0
      SR=0.0
      RP=0.0
      J=J+1
      JJ=JJ+1
      W(JJ)=0.0
27    IF(W(J)-XD(K)) 28,29,30
30    KC=KC+1
      SW=SW+RD(K)*RD(K)
      SR=SR+RP*RD(K)
      RP=RD(K)
      K=K+1
      GOTO 27
29    IF(WEIGHT.AND.WD(K).EQ.0.0) GOTO 28
31    KC=KC+1
      SW=SW+RD(K)*RD(K)
      SR=SR+RP*RD(K)
28    IF(SR) 32,32,33
33    SW=(SW/SR)
      SW=SW*SW
      RP=SQRT(SR/FLOAT(KC))
      IF(FLOAT(KC)-SW) 32,32,34
34    GOTO(35,36,37),IIS
35    PRP=RP
      IIS=3
      IF(FLOAT(KC)-2.0*SW) 38,38,39
37    W(JJ-1)=PRP
      TMAX=MAX(TMAX,PRP)
39    IIS=2
36    W(JJ)=RP
      TMAX=MAX(TMAX,RP)
      GOTO 38
32    IIS=1
38    IF(W(J)-XN(N)) 26,40,40

! Test whether another iteration is required.

40    IF(TMAX) 41,41,42

! Calculate new trend array, including larger trends only.

42    TMAX=HLF*TMAX
      I=0
      J=1
      JW=1
      K=IW+1
      THETA(JW)=W(K)
43    I=I+1
      K=K+1
      IF(W(I)-TMAX) 44,44,45
44    JW=JW+1
      THETA(JW)=W(K)
46    FN(J)=0.0
      J=J+1
      IF(W(K)-XN(J)) 47,47,46
45    JW=JW+2
      THETA(JW-1)=HLF*(W(K-1)+W(K))
      THETA(JW)=W(K)
      IF(XN(J+1)-THETA(JW-1)) 46,46,48
48    FN(J)=1.0D0
      J=J+1
47    IF(J-N) 43,49,49

! Make knot spacings be used four times.

49    IK=1
      KL=1
      FN(2)=MAX(FN(1),FN(2))
50    K=KL+3
51    IF(FN(K)) 52,52,53
52    K=K-1
      IF(K-KL) 54,54,51
53    K=K-1
      FN(K)=1.0
      IF(K-KL) 54,54,53
54    K=K+1
      IF(K-N) 55,56,56
55    IF(XN(K+1)-XN(K)-1.5*(XN(K)-XN(K-1))) 54,54,56
56    KU=K
      FN(K-2)=MAX(FN(K-2),FN(K-1))
57    KKU=K
58    K=K-1
      IF(K-KL) 59,59,60
60    IF(XN(K)-XN(K-1)-1.5*(XN(K+1)-XN(K))) 58,58,61
61    FN(K+1)=MAX(FN(K),FN(K+1))
59    KKL=K
      KZ=4
      IF(FN(K)) 62,62,63
63    K=K+1
      IF(K-KKU) 64,65,65
64    IF(FN(K)) 66,66,63
66    KZ=0
62    KZ=KZ+1
      K=K+1
      IF(K-KKU) 67,65,65
67    IF(FN(K)) 62,62,68
68    IF(KZ-3) 69,69,70
69    J=K-KZ
71    FN(J)=1.0
      J=J+1
      IF(J-K) 71,63,63
70    IF(K+1-KKU) 72,65,65
72    K=K+1
      FN(K)=1.0
      GOTO 63
65    IF(KL-KKL) 73,74,74
73    FN(KKL-2)=MAX(FN(KKL-2),FN(KKL+1))
      FN(KKL-1)=MAX(FN(KKL-1),FN(KKL+3))
75    K=KKL-4
78    IF(FN(K)) 76,76,77
76    K=K+1
      IF(K-KKL) 78,79,79
77    FN(K)=1.0
      K=K+1
      IF(K-KKL) 77,79,79
79    GOTO(57,80),IK
74    IF(KU-N) 81,82,82
81    KL=KU
      FN(KL+1)=MAX(FN(KL+1),FN(KL-2))
      FN(KL)=MAX(FN(KL),FN(KL-4))
      GOTO 50
82    IK=2
      KKL=N
      GOTO 75

! Insert extra knots for new approximation.

80    IF(N.GT.NDIMAX) GOTO 110
      DO 83 J=1,N
      GN(J)=XN(J)
83    CONTINUE
      NN=1
      DO 84 J=2,N
      IF(FN(J-1)) 85,85,86
86    NN=NN+1
      XN(NN)=HLF*(GN(J-1)+GN(J))
85    NN=NN+1
      XN(NN)=GN(J)
84    CONTINUE
      GOTO 101
110   N=-N
      GOTO 90
101   N=NN
      IW=7*MM+8*N+6
      DO 87 J=1,JW
      I=IW+J
      W(I)=THETA(J)
87    CONTINUE
      GOTO 11

! Restore data with zero weights.

41    IF(MM-M) 88,90,90
88    J=-2
      K=MM
92    J=J+3
      K=K+1
      W(J)=XD(K)
      W(J+1)=YD(K)
      W(J+2)=WD(K)
      IF(K-M) 92,93,93
93    I=W(J+2)+HLF
94    IF(K-I) 95,95,96
96    XD(K)=XD(MM)
      YD(K)=YD(MM)
      IF(WEIGHT) WD(K)=WD(MM)
      K=K-1
      MM=MM-1
      GOTO 94
95    XD(K)=W(J)
      YD(K)=W(J+1)
      IF(WEIGHT) WD(K)=0.0
      K=K-1
      J=J-3
      IF(J) 91,91,93
91    CALL VB06A(M,N,XD,YD,RD,WEIGHT,WD,XN,FN,GN,DN,THETA,W)
90    RETURN
      END
