      SUBROUTINE NR_D_SPLIN2(X1A,X2A,YA,Y2A,M,N,X1,X2,Y)
!+
!
!  NR_D_SPLIN2
!
!     (double precision version)
!
!     Given X1A, X2A, YA, M, N as described in NR_SPLIE2 and Y2A as
!     produced by that routine; and given a desired interpolation point
!     X1, X2; this routine returns an interpolated function value Y
!     by bicubic spline interpolate.
!
!  Press et al. 1989. Numerical Recipes
!
!  Simon Jeffery 
!  2000 February
!
!-

!  Subroutine Arguments.
      DOUBLE PRECISION X1A(M)    ! tabulated indebendent variable 1 (given)
      DOUBLE PRECISION X2A(N)    ! tabulated independent variable 2 (given)
      DOUBLE PRECISION YA(M,N)   ! tabulated spline coefficients    (given)
      DOUBLE PRECISION Y2A(M,N)  ! second derivatives               (given)
      INTEGER   M
      INTEGER   N
      DOUBLE PRECISION X1, X2    ! 
      DOUBLE PRECISION Y         !

!  Local arrays.
      PARAMETER (NN=100)
      DOUBLE PRECISION YTMP(NN),Y2TMP(NN),YYTMP(NN)

!.

      DO J=1,M
        DO K=1,N
          YTMP(K)=YA(J,K)
          Y2TMP(K)=Y2A(J,K)
        ENDDO
        CALL NR_D_SPLINT(X2A,YTMP,Y2TMP,N,X2,YYTMP(J))
      ENDDO
      CALL NR_D_SPLINE(X1A,YYTMP,M,1.E30,1.E30,Y2TMP)
      CALL NR_D_SPLINT(X1A,YYTMP,Y2TMP,M,X1,Y)
      END
