SUBROUTINE PHOT_LINTER(XOLD,YOLD,NOLD,XNEW,YNEW,NNEW)                          

!+ 
!
!  PHOT_LINTER
!
!= linear interpolation in filter response function onto a local wavelength array
!
!  adapted from an old F.IV subroutine.
!
!-

  IMPLICIT NONE

! Arguments
  INTEGER           ,INTENT(IN) :: NOLD
  REAL, DIMENSION(*),INTENT(IN) :: XOLD
  REAL, DIMENSION(*),INTENT(IN) :: YOLD

  INTEGER           ,INTENT(IN) :: NNEW
  REAL, DIMENSION(*),INTENT(IN) :: XNEW
  REAL, DIMENSION(*),INTENT(OUT):: YNEW                                 

! Local
  INTEGER :: IOLD   ! Array pointers
  INTEGER :: INEW   
!.

!     XOLD AND XNEW INCREASING                                                  
  IOLD=2                                                                    
  DO INEW=1,NNEW                                                          
    DO WHILE (XNEW(INEW) >= XOLD(IOLD) .AND. IOLD < NOLD)           
      IOLD=IOLD+1
    ENDDO
    YNEW(INEW) = YOLD(IOLD-1)+(YOLD(IOLD)-YOLD(IOLD-1))/ & 
         (XOLD(IOLD)-XOLD(IOLD-1))*(XNEW(INEW)-XOLD(IOLD-1))                       
  ENDDO

END SUBROUTINE PHOT_LINTER
