REAL FUNCTION PHOT_RESPONSE ( WAVE, FILTER )

  !+
  != Get the response function for a given wavelength and filter
  !-

  REAL             ::        WAVE   ! (nm)
  CHARACTER(LEN=1) :: FILTER ! (one of: u v b y U B V R I J H K L M N T = [12] )
  !.

  !  default value
  IF (FILTER==' ') THEN
    PHOT_RESPONSE = 1.0


    !  filter specified - assumed 1P21 RCA detector
  ELSEIF ( 300. < WAVE .AND. WAVE < 600.) THEN 
    PHOT_RESPONSE = PHOT_FILTER (WAVE,FILTER) &
         * PHOT_1P21(WAVE) &
         * PHOT_AIR(WAVE,0.) &
         * PHOT_ALUM(WAVE)

    !  filter specified
  ELSE
    PHOT_RESPONSE = PHOT_FILTER (WAVE,FILTER) &
         * PHOT_AIR(WAVE,0.) &
         * PHOT_ALUM(WAVE)

  ENDIF

END FUNCTION PHOT_RESPONSE
