      SUBROUTINE CARITH (XY,OP,CCARG)

!+
!     PROGRAM:       CARITH
!
!     PURPOSE:       
!=    DO A SINGLE ARITHMETIC OPERATION ON THE INTENSITIES IN THE CURRENT ARRAYS
!
!     PACKAGE:       PART OF THE FORTRAN VERSION OF "PROFILE"
!     AUTHOR:        C.S.JEFFERY
!     DATE:          3 FEB 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!
!     INPUT:         XY       ELEMENT TO BE OPERATED UPON (X OR Y)
!                    OP       TYPE OF OPERATION
!                    CCARG    CONSTANT OF ADDITION ETC. (DUMMY=0.0)
!-

      INCLUDE 'implct.f'
      INCLUDE 'cadeck.f'
      INCLUDE 'ctdeck.f'

!     LOCAL VARIABLES
      CHARACTER*(*) XY, OP
      REAL          CONST, CCARG
!.

!     GET THE ARITHMETIC CONSTANT

!     FROM NON-ZERO SUBROUTINE ARGUMENT 
      IF (ABS(CCARG).GT.1.E-36) THEN
         CONST = CCARG

!     FROM THE COMMAND STRING
      ELSEIF (NARG.GT.0) THEN
         CONST = RFRMCH (ARG(1))

!     FROM THE TERMINAL
      ELSEIF (OP.EQ.'+'.OR.OP.EQ.'-'.OR.OP.EQ.'*'.OR.OP.EQ.'/') THEN
         CALL GETFPV ('CARITH: Enter constant : ',CONST)

!     BY DEFAULT
      ELSE
         CONST = 0.0
      ENDIF

!     CARRY OUT THE ARITHMETIC OPERATION REQUIRED

!     ON X VALUES
      IF (XY.EQ.'X') THEN

        IF (OP.EQ.'+') THEN
          DO 101 I = 1,NCX
101       CX(I) = CX(I) + CONST
        ELSEIF (OP.EQ.'-') THEN
          DO 102 I = 1,NCX
102       CX(I) = CX(I) - CONST
        ELSEIF (OP.EQ.'*') THEN
          DO 103 I = 1,NCX
103       CX(I) = CX(I) * CONST
        ELSEIF (OP.EQ.'/') THEN
          IF (ABS(CONST).LT.1.E-30) THEN
            CALL MESSGE ('CARITH: Divide by zero aborted')
            GO TO 999
          ENDIF
          DO 104 I = 1,NCX
104       CX(I) = CX(I) / CONST
        ELSEIF (OP.EQ.'L') THEN
          IF (CXMIN.LE.0.0) 
     1      CALL MESSGE ('CARITH : Log (-ve values) = -99.0')
          DO 105 I = 1,NCX
            IF (CX(I).GT.0.0) THEN
              CX(I) = ALOG10 (CX(I))
            ELSE
              CX(I) = -99.0
            ENDIF
105       CONTINUE
        ELSEIF (OP.EQ.'T') THEN
          DO 106 I = 1,NCX
            IF (CX(I).GT.-40.) THEN
              CX(I) = 10.**CX(I)
            ELSE
              CX(I) = 0.
            ENDIF
106       CONTINUE
        ENDIF

!     Y VALUES
      ELSEIF (XY.EQ.'Y') THEN

        IF (OP.EQ.'+') THEN
          DO 201 I = 1,NCX
201       CY(I) = CY(I) + CONST
        ELSEIF (OP.EQ.'-') THEN
          DO 202 I = 1,NCX
202       CY(I) = CY(I) - CONST
        ELSEIF (OP.EQ.'*') THEN
          DO 203 I = 1,NCX
203       CY(I) = CY(I) * CONST
        ELSEIF (OP.EQ.'/') THEN
          IF (ABS(CONST).LT.1.E-30) THEN
            CALL MESSGE ('CARITH: Divide by zero aborted')
            GO TO 999
          ENDIF
          DO 204 I = 1,NCX
204       CY(I) = CY(I) / CONST
        ELSEIF (OP.EQ.'L') THEN
          IF (CXMIN.LE.0.0) 
     1      CALL MESSGE ('CARITH : Log (-ve values) = -99.0')
          DO 205 I = 1,NCX
            IF (CY(I).GT.0.0) THEN
              CY(I) = ALOG10 (CY(I))
            ELSE
              CY(I) = -99.0
            ENDIF
205       CONTINUE
        ELSEIF (OP.EQ.'T') THEN
          DO 206 I = 1,NCX
            IF (CY(I).GT.-40.) THEN
              CY(I) = 10.**CY(I)
            ELSE
              CY(I) = 0.
            ENDIF
206       CONTINUE
        ENDIF

      ENDIF

999   END
