      SUBROUTINE ECMRGE

!+
!     PROGRAM:      ECMRGE
!     PURPOSE:      
!=                  APPLY CORRECTION FOR BLAZE FUNCTION AND MERGE ORDERS
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      15.01.88  C.S.JEFFERY / ST.ANDREWS
!-

      INCLUDE 'implct.f'
      INCLUDE 'ecdeck.f'
      INCLUDE 'spdeck.f'

      INTEGER     NI, NX, NY, NLO, NUP, NXLO, NXUP, NYLO, NYUP, MX, MY
      REAL        WX, WY, OX, OY, RX, RY, YX, YY, GX, GY, FX, FY
!.

!     MAP FIRST ORDER UP TO OVERLAP REGION

      NI = 0
      M = 1

!        LOOP OVER WAVELENGTHS
      NLO = NYUPOV(M)+1
      NUP = NXLOOV(M)-1
      DO 10 N = NLO,NUP

!           GET THE WAVELENGTH, BLAZE CORRECTION AND CORRECT
         CALL BLAZE (N,M, W,O,R)
         F = ECSTAK (N,M) / R

!           AND SAVE
         NI = NI + 1
         SPW(NI) = W
         SPF(NI) = F

 10      CONTINUE

!     LOOP OVER SUBSEQUENT ORDERS

      DO 50 M = 2,NECORD

!        TREAT OVERLAP REGION

!           GET BOUNDARIES
         MX = M - 1
         MY = M
         NXLO = NXLOOV(MX)
         NXUP = NXUPOV(MX)
         NYLO = NYLOOV(MY)
         NYUP = NYUPOV(MY)

!           LOOP THROUGH WAVELENGTHS
         DO 22 NX = NXLO,NXUP
            NY = NX + NYLO - NXLO

!              GET BLAZE CORRECTED FLUXES AND WAVELENGTH
            CALL BLAZE (NX,MX, WX,OX,RX)
            SX = ECSTAK (NX,MX) 
            FX = SX / RX
            CALL BLAZE (NY,MY, WY,OY,RY)
            SY = ECSTAK (NY,MY) 
            FY = SY / RY

!              COMPUTE WEIGHTS FOR MERGER (USE STATISTICAL WEIGHTS)
            GX = SX / (SX + SY)
            GY = SY / (SX + SY)

!              COMBINE WEIGHTED MEAN AND STORE (NB NO CHECK ON LAMDA)
            NI = NI + 1
            SPW(NI) = WX
!           SPW(NI) = GX*WX + GY*WY
            SPF(NI) = GX*FX + GY*FY

 22         CONTINUE

!        NOW PROCESS THE REST OF ORDER M

!           LOOP OVER WAVELENGTHS
         NLO = NYUPOV(M)+1
         NUP = NXLOOV(M)-1
         DO 24 N = NLO,NUP

!              GET THE WAVELENGTH, BLAZE CORRECTION AND CORRECT
            CALL BLAZE (N,M, W,O,R)
            F = ECSTAK (N,M) / R

!              AND SAVE
            NI = NI + 1
            SPW(NI) = W
            SPF(NI) = F

 24         CONTINUE

 50      CONTINUE

!     REMEMBER TO COMPLETE THE ENTRY IN THE SPECTRUM BLOCK

      NSPW = NI
      SPHEAD (1) = ECHEAD
      CALL OUTCHV ('Merged spectrum stored in spectrum arrays', 
     1              SPHEAD(1))
      CALL OUTINT ('no of wavelength points', NSPW)
      CALL SPSTAT

!     QUIT
      END
