
      SUBROUTINE LPEDIT 

!+
!     PROGRAM:       LPEDIT
!     PURPOSE:       
!=                   TO EDIT A LINE PROFILE GRAPHICALLY 
!
!     PACKAGE:       PART OF THE FORTRAN VERSION OF "PROFILE"
!     AUTHOR:        C.S.JEFFERY
!     DATE:          11 MAR 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!-

      INCLUDE 'ctdeck.f'
      INCLUDE 'spdeck.f'
      INCLUDE 'lpdeck.f'
      INCLUDE 'dispgx.f'
!     LOCAL VARIABLES
      CHARACTER*1 CCOM, CC
      REAL        X,Y,  XL,XR
!.

!     CHECK DISPLAY EXISTS
      IF (.NOT.DPLTOK) THEN
         CALL MESSGE ('LPEDIT: No display available')
         RETURN
      ENDIF

!     ISSUE HEADER AND WARNING

      CALL IOHEAD ('Interactive line profile definition')
      CALL LINEFD (1)
      CALL MESSGE ('                                    ~ WARNING ~  ')
      CALL MESSGE ('                                   Live Keyboard ')
      CALL IOFOOT

!     GET THE CURSOR COMMAND
1     CALL KEYHIT (CCOM) 
      CALL UPCASE (CCOM)

!     CREATE A NEW LINE PROFILE FROM THE CURRENT SPECTRUM
      IF (CCOM.EQ.'P') THEN

!        GET THE LINE LIMITS
         CALL GX_QCUR (XL,Y)
         CALL GX_QCUR (XR,Y)
         LPWL = MIN (XL, XR)
         LPWR = MAX (XL, XR)

!        DEFINE THE LINE CENTRE
         LPWC = (LPWL + LPWR) / 2.

!        MARK THE LINE LIMITS
         YL = CTX(LPWL)
         CALL GX_QMOV (LPWL,0.9*YL)
         CALL GX_QDRW (LPWL,1.1*YL)
         YR = CTX(LPWR)
         CALL GX_QMOV (LPWR,0.9*YR)
         CALL GX_QDRW (LPWR,1.1*YR)

!        READ THE PROFILE FORM THE DATA
         IL = IWAV (LPWL)
         IR = IWAV (LPWR)
         DO 10 IW = IL,IR
            X = SPW(IW)
            Y = SPF(IW)
            I = IW - IL + 1
            LPW(I) = X - LPWC
            LPF(I) = Y / (CFL + CCA * (X - CWL))
10       CONTINUE
         NLPW = IR - IL + 1

!     ENTER INDIVIDUAL POINTS
      ELSEIF (CCOM.EQ.'X') THEN
         XLL = 0.
!        READ THE CURSOR
110      CALL GX_QCUR (X,Y)
         IF (ABS(XLL-X)/X.LT.1.E-3) GO TO 111
         XLL = X
!        MARK THE POSITION
         CALL GX_QMOV (X,Y)
         CALL GX_PMRK (4,0.01,0.125)
!        TRANSFORM THE COORDINATES TO THE LP FRAME
         Y = Y / CTX (X)
         X = X - LPWC
!        PLACE THE NEW POINT IN THE LP ARRAY
         IF (X.LT.LPW(1)) THEN
            DO 21 I = NLPW,1,-1
               LPW(I+1) = LPW(I)
               LPF(I+1) = LPF(I)
21          CONTINUE
            NLPW = NLPW + 1
            LPW(1) = X
            LPF(1) = Y
            LPWL   = X + LPWC
         ELSEIF (X.GT.LPW(NLPW)) THEN
            NLPW = NLPW + 1
            LPW(NLPW) = X
            LPF(NLPW) = Y
            LPWR      = X + LPWC
         ELSE
            DO 25 I = 2,NLPW
               IF (X.LT.LPW(I)) THEN
                  DO 23 J = NLPW,I,-1
                     LPW(J+1) = LPW(J)
                     LPF(J+1) = LPF(J)
23                CONTINUE
                  NLPW = NLPW + 1
                  LPW(I) = X
                  LPF(I) = Y
                  GO TO 27
               ENDIF
25          CONTINUE
27          CONTINUE
         ENDIF
!        LOOP BACK FOR NEXT POINT
         GO TO 110
111      CONTINUE

!     DELETE POINTS
      ELSEIF (CCOM.EQ.'D') THEN
         XLL = 0.
!        LOCATE THE POINT TO BE DELETED
210      CALL GX_QCUR (X,Y)
         IF (ABS(XLL-X)/X.LT.1.E-3) GO TO 211
         XLL = X
!        TRANSFORM X-VALUE TO THE LP FRAME
         X = X - LPWC
!        LOCATE POINT IN LP ARRAY
         IF (ABS(LPW(1)-X) .LT. (LPW(2)-LPW(1))/4.) THEN
!           MARK DELETED POINT
            II = 1
            FX = LPW(II) + LPWC
            FY = LPF(II) * CTX (FX)
            CALL GX_QMOV (FX,FY)
            CALL GX_PMRK (-4,0.015,0.125)
!           REMOVE FROM ARRAY
            DO 31 I = 2,NLPW
               LPW(I-1) = LPW(I)
               LPF(I-1) = LPF(I)
31          CONTINUE
            NLPW = NLPW - 1
            LPWL = LPW(1) + LPWC
         ELSEIF (ABS(LPW(NLPW)-X) .LT. (LPW(NLPW)-LPW(NLPW-1))/4.) THEN
!           MARK DELETED POINT
            II = NLPW
            FX = LPW(II) + LPWC
            FY = LPF(II) * CTX (FX)
            CALL GX_QMOV (FX,FY)
            CALL GX_PMRK (-4,0.015,0.125)
!           REMOVE FROM ARRAY
            NLPW = NLPW - 1
            LPWR = LPW(NLPW) + LPWC
         ELSE
            DO 35 I = 2,NLPW-1
               IF (ABS(LPW(I)-X) .LT. (LPW(I+1)-LPW(I-1))/8.) THEN
!                 MARK DELETED POINT
                  II = I
                  FX = LPW(II) + LPWC
                  FY = LPF(II) * CTX (FX)
                  CALL GX_QMOV (FX,FY)
                  CALL GX_PMRK (-4,0.015,0.125)
!                 REMOVE FROM ARRAY
                  DO 37 J = I+1,NLPW
                     LPW(J-1) = LPW(J)
                     LPF(J-1) = LPF(J)
37                CONTINUE
                  NLPW = NLPW - 1
                  GO TO 39
               ENDIF
35          CONTINUE
39          CONTINUE
         ENDIF
!        LOOP BACK FOR NEXT POINT
         GO TO 210
211      CONTINUE

!     NORMALISE LPWC TO CENTROID OF LINE
         CALL LPEQWD (0)
         DO 310 I = 1,NLPW
310      LPW(I) = LPW(I) + LPWC - LPCG
         LPWC = WCG

!     SHIFT THE PROFILE
      ELSEIF (CCOM.EQ.'M') THEN
         CALL GX_QCUR (X,Y)
         CALL GX_QMOV (X,Y)
         CALL GX_PMRK (3,0.05,0.16667)
         LPWC = X

!     REDEFINE THE CONTINUUM
      ELSEIF (CCOM.EQ.'C') THEN
         CALL CTDEF ('CUR')

!     SHOW THE CURRENT PROFILE AND CONTINUUM
      ELSEIF (CCOM.EQ.'S') THEN
         CALL LPPLOT
         CALL CTPLOT

!     BROADEN THE LINE PROFILE
      ELSEIF (CCOM.EQ.'B') THEN
         NARG = 0
         CALL LPCONV

!     REFRESH THE ENTIRE DISPLAY
      ELSEIF (CCOM.EQ.'R') THEN
         CALL GX_CLR
         CALL PLOTEM (' ')

!     GET SOME HELP
      ELSEIF (CCOM.EQ.'H') THEN
         CALL MESSGE (' ')
         CALL MESSGE ('LPEDIT: Summary of commands')
         CALL MESSGE (' ')
         CALL MESSGE ('        Commands activated by single keystroke')
         CALL MESSGE ('        Cursor position given by any key')
         CALL MESSGE (' ')
         CALL MESSGE (' H : Get this help message ')
         CALL MESSGE (' C : Redefine continuum ')
         CALL MESSGE (' P : Lift profile from spectrum, define L and R')
         CALL MESSGE (' X : Enter points (repeat to finish) ')
         CALL MESSGE (' D : Delete points (repeat to finish) ')
         CALL MESSGE (' B : Convolve with a Gaussian ')
         CALL MESSGE (' M : Shift the profile ')
         CALL MESSGE (' N : Normalise LPWC to centroid ')
         CALL MESSGE (' S : Show the current profile ')
         CALL MESSGE (' R : Refresh the whole display ')
         CALL MESSGE (' E : Go back to the main program ')
         CALL MESSGE (' ')

!     FINISH EDITTING LINE PROFILE
      ELSEIF (CCOM.EQ.'E') THEN
         GO TO 100

!     END OF OPTIONS, ASK FOR NEXT COMMAND
      ENDIF
      CALL GX_FLSH
      GO TO 1

!     NORMAL EXIT ROUTE
100   CONTINUE
      CALL IOFOOT
      END
