      SUBROUTINE LPEQWD (IOUT)

!+
!=    DETERMINE THE EQUIVALENT WIDTH OF THE DEFINED LINE PROFILE
!-

      INCLUDE 'lpdeck.f'
      INTEGER IOUT
      REAL    SV,SW,SC, WB,FB,WD
!.

!     ZERO THE SUMMATIONS
      SV = 0.
      SW = 0.
      SC = 0.

!     INTEGRATE THE LINE-PROFILE
      DO 110 I = 2,NLPW
         J = I - 1
         WB = (LPW(I)+LPW(J)) * 0.5
         FB = (LPF(I)+LPF(J)) * 0.5
         WD = (LPW(I)-LPW(J))
         SV = SV + WD * (1.0-FB)
         SW = SW + WD * FB
         SC = SC + WB * WD * (1.0-FB)
110   CONTINUE

!     COMPUTE LINE CENTRE OF GRAVITY AND EQUIVALENT WIDTH
      LPCG = SC / SV + LPWC
      LPEW = (LPW(NLPW) - LPW(1)) - SW

!     OUTPUT RESULTS
      IF (IOUT.GT.0) THEN
         CALL OUTFPV ('LPEQWD: Line centre of gravity : ',LPCG)
         CALL OUTFPV ('LPEQWD: Line equivalent width  : ',LPEW)
      ENDIF

      END
