
      SUBROUTINE LPREAD 

!+
!     PROGRAM:       LPREAD
!     PURPOSE:       
!=                   TO READ A LINE PROFILE FROM A DISK FILE
!
!     PACKAGE:       PART OF THE FORTRAN VERSION OF "PROFILE"
!     AUTHOR:        C.S.JEFFERY
!     DATE:          11 MAR 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!-

      INCLUDE 'ctdeck.f'
      INCLUDE 'lpdeck.f'
      INCLUDE 'iodeck.f'
!.

!     GET THE NAME OF THE DISK FILE
      IF (NARG.GT.0) THEN
         LPFILE = ARG(1)
      ELSE
         CALL GETCHV ('LPREAD: Enter name of l.p. file: ',LPFILE)
      ENDIF
!     ONLY ONE FORMAT IS SUPPORTED
      LPFORM = 'LP0'

!     OPEN THE FILE
      OPEN (LULP,FILE=LPFILE,STATUS='OLD',ERR=99)

!     READ THE DATA
      READ (LULP,2000) LPHEAD(1)
      READ (LULP,2000) LPHEAD(2)
      READ (LULP,*) LPWC
      DO 10 I = 1,NLP
10    READ (LULP,*,ERR=11,END=11) LPW(I),LPF(I)
11    NLPW = I - 1

!     CLOSE THE FILE
      CLOSE (LULP)

!     VERIFY THE DATA
      WRITE (LUPR,1001) LPHEAD(1)
      WRITE (LUPR,1001) LPHEAD(2)
      WRITE (LUPR,1004) 'No. of wavelengths: ', NLPW
      WRITE (LUPR,1003) 'Central wavelength: ', LPWC

!     IDENTIFY LIMITS OF LINE PROFILE
      LPWL = MIN (LPW(1), LPW(NLPW)) + LPWC
      LPWR = MAX (LPW(1), LPW(NLPW)) + LPWC

!     DECODE HEADER
      IF (LPHEAD(1)(1:3).EQ.'TEF') THEN
!        ATMOSPHERE IDENTIFIERS
         LPHTEF = LPHEAD(1)( 1:10)
         LPHLGG = LPHEAD(1)(12:21)
         LPHVMU = LPHEAD(1)(23:32)
         LPHVRO = LPHEAD(1)(34:43)
         LPHNH  = LPHEAD(1)(45:54)
         LPHNHE = LPHEAD(1)(56:65)
         LPHNC  = LPHEAD(1)(67:76)
!        LINE IDENTIFIERS
         LPHION = LPHEAD(2)( 1:10)
         LPHMLT = LPHEAD(2)(12:21)
         LPHNI  = LPHEAD(2)(23:32)
         LPHLAB = LPHEAD(2)(34:43)
         LPHEP  = LPHEAD(2)(45:54)
         LPHGF  = LPHEAD(2)(56:65)
         LPHEW  = LPHEAD(2)(67:76)
      ENDIF
      RETURN

!     ERROR CONDITIONS
99    CALL MESSGE ('LPREAD: Error opening file, no data read')
      CLOSE (LULP)
      RETURN

      END
