
      SUBROUTINE PLOTEM (SUBARG)

!+
!     PROGRAM:       PLOTEM
!     PURPOSE:      
!=                   PLOT A DATA STRUCTURE AS REQUESTED
!
!     PACKAGE:       PART OF THE FORTRAN VERSION OF "PROFILE"
!     AUTHOR:        C.S.JEFFERY
!     DATE:          19 JAN 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!-

      INCLUDE 'ctdeck.f'
      INCLUDE 'cadeck.f'
      INCLUDE 'spdeck.f'
      INCLUDE 'lpdeck.f'
      INCLUDE 'dispgx.f'

      CHARACTER*(*) SUBARG
      CHARACTER*20  OBJECT
!.

!     IDENTIFY THE OBJECT TO BE PLOTTED

      IF (SUBARG.NE.' ') THEN
         OBJECT = SUBARG
      ELSEIF (NARG.GE.1) THEN
         OBJECT = ARG(1)
      ELSE
         OBJECT = 'CURRENT'
      ENDIF

!     GO AND PLOT IT

!     PLOT THE CURRENT ARRAYS
      IF (OBJECT(1:6).EQ.'CURRENT' .OR. DCAPLT) THEN
         CALL XYPLOT (CX,CY,NCX,CHEAD)
      ENDIF

!     PLOT THE SPECTRUM ARRAYS
      IF (OBJECT(1:8).EQ.'SPECTRUM' .OR. DSPPLT) THEN
         CALL XYPLOT (SPW,SPF,NSPW,SPHEAD(1))
      ENDIF

!     PLOT THE LINE PROFILE
      IF (OBJECT(1:7).EQ.'PROFILE' .OR. DLPPLT) THEN
         CALL LPPLOT
      ENDIF

!     PLOT THE LOCAL CONTINUUM
      IF (OBJECT(1:4).EQ.'CONT' .OR. DCTPLT) THEN
         CALL CTPLOT
      ENDIF

!     NOTHING ELSE TO PLOT

!     TELL THE WORLD A PLOT EXISTS
      DPLTOK = .TRUE.

!     QUIT
      END
