      SUBROUTINE RANGE (OPTS)

!+
!     PROGRAM:       RANGE
!     PURPOSE:       
!=                   TO SET THE LIMITS ON THE DISPLAY
!
!     PACKAGE:       PART OF THE FORTRAN VERSION OF "PROFILE"
!     AUTHOR:        C.S.JEFFERY
!     DATE:          16 JAN 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!-

      INCLUDE 'ctdeck.f'
      INCLUDE 'dispgx.f'
      CHARACTER*(*) OPTS
      CHARACTER*1   CC
      REAL          XL,YL, XR,YR
!.

!     SET THE LIMITS MANUALLY
      NYA = 2
      IF (OPTS(1:1).EQ.' ') THEN
         IF (OPTS(2:2).EQ.'X') THEN
            IF (NARG.EQ.2.OR.NARG.EQ.4) THEN
               DXMIN = RFRMCH (ARG(1))
               DXMAX = RFRMCH (ARG(2))
               NYA = 0
            ELSE
               CALL GETFPV ('XRANGE: X1:', DXMIN)
               CALL GETFPV ('XRANGE: X2:', DXMAX)
            ENDIF
            DXAUTO = .FALSE.
         ENDIF
         IF (OPTS(3:3).EQ.'Y') THEN
            IF (NARG.EQ.2.OR.NARG.EQ.4) THEN
               DYMIN = RFRMCH (ARG(3-NYA))
               DYMAX = RFRMCH (ARG(4-NYA))
            ELSE
               CALL GETFPV ('YRANGE: Y1:', DYMIN)
               CALL GETFPV ('YRANGE: Y2:', DYMAX)
            ENDIF
            DYAUTO = .FALSE.
         ENDIF

!     SET THE LIMITS WITH THE CURSOR
      ELSEIF (OPTS(1:1).EQ.'C' .AND. DPLTOK) THEN
         CALL GX_QCUR (XL,YL,CC)
         CALL GX_QCUR (XR,YR,CC)
         IF (OPTS(2:2).EQ.'X') THEN
            DXMIN = XL
            DXMAX = XR
            DXAUTO = .FALSE.
         ENDIF
         IF (OPTS(3:3).EQ.'Y') THEN
            DYMIN = YL
            DYMAX = YR
            DYAUTO = .FALSE.
         ENDIF

!     RESET TO AUTOMATIC LIMITS
      ELSEIF (OPTS(1:1).EQ.'N') THEN
         IF (OPTS(2:2).EQ.'X') THEN
            DXAUTO = .TRUE.
         ENDIF
         IF (OPTS(3:3).EQ.'Y') THEN
            DYAUTO = .TRUE.
         ENDIF

!     FLAG ERROR
      ELSE
         CALL MESSGE ('RANGE: Error setting limits, no change made')
         RETURN
      ENDIF

!     QUIT
      END
