      SUBROUTINE SP2WR (W,F,NW,HEADER,IUNIT,CFILE)

!+
!  sp2wr
!
!  Purpose:
!=    Write a spectrum in the format (wavelength,flambda) in ascii 
!
!  Usage:
!     CALL SP2WR (W,F,NW,HEADER,IUNIT,CFILE)
!
!  Description of parameters:
!R    W(NW)       -  Array of wavelength points
!R    F(NW)       -  Array of flux points
!I    NW          -  No. of points 
!C    HEADER      -  Two records of header information
!I    IUNIT       -  Logical unit to which data points are to be written
!C    CFILE       -  Name of file to which data is to be written
!
!-

      DIMENSION W(*),F(*)

      CHARACTER*(*) HEADER(2)
      CHARACTER*(*) CFILE

!.

!   Open disk file
      OPEN (IUNIT,FILE=CFILE,STATUS='UNKNOWN')

!   Write header records and number of data points
      WRITE(IUNIT, '(A)') HEADER(1)
      WRITE(IUNIT, '(A)') HEADER(2)
      WRITE(IUNIT, '(I10)') NW

!   Write wavelengths and fluxes
      WRITE(IUNIT, '(2(1PE15.6))') (W(LW),F(LW),LW = 1,NW)

!   Close disk file
      CLOSE (IUNIT)

      END
