      SUBROUTINE SPRD (ISP,SPFILE,SPHEAD,NSPW,SPW,SPF)

!+
!     PROGRAM:       SPRD
!     PURPOSE:       
!=                   TO READ A SPECTRUM FORMAT FILE 
!
!     AUTHOR:        C.S.JEFFERY
!     DATE:          3 FEB 1987
!     LANGUAGE:      FORTRAN 76.5
!     VERSION:       I
!     MACHINE:       PDP-10 (RECHENZENTRUM, UNIVERSITAET KIEL)
!-

!     SUBROUTINE ARGUMENTS
      PARAMETER    (NSP=10000)
      INTEGER       ISP
      CHARACTER*(*) SPFILE
      CHARACTER*79  SPHEAD(2)
      INTEGER       NSPW
      REAL          SPW(1), SPF(1)

!     LOCAL VARIABLES
      INTEGER       LUSP, INDEX, IERR, NDAT
      CHARACTER*79  HEAD1, HEAD2
!.

!     REPORT START OF PROCEDURE
      CALL OUTSTR ('SPRD  : Filename',SPFILE)

!     OPEN THE FILE AND READ THE HEADER
      IF (ISP.EQ.0) THEN
         CALL LUOPEN (SPFILE, 'OLD', 'READONLY', 'UNFORMATTED', 
     1                LUSP, INDEX, IERR)
         IF (IERR.NE.0) GO TO 99
         READ  (LUSP) HEAD1
         READ  (LUSP) HEAD2
         READ  (LUSP) NDAT
      ELSE
         CALL LUOPEN (SPFILE, 'OLD', 'READONLY', 'FORMATTED', 
     1                LUSP, INDEX, IERR)
         IF (IERR.NE.0) GO TO 99
         READ  (LUSP,'(A)') HEAD1
         READ  (LUSP,'(A)') HEAD2
         READ  (LUSP,*)     NDAT
      ENDIF

!     VERIFY SIZE OF SPECTRUM
      IF (NDAT.GT.NSP) GO TO 97

!     DATA LOOKS OK, COPY FILE HEADER
      SPHEAD(1) = HEAD1
      SPHEAD(2) = HEAD2
      NSPW      = NDAT

!     SPECTRUM FORMAT 0
      IF (ISP.EQ.0) THEN
         READ (LUSP,ERR=98) (SPW(IW),SPF(IW),IW=1,NDAT)

!     SPECTRUM FORMAT 4
      ELSEIF (ISP.EQ.4) THEN
         DO 104 IW = 1,NSP
            READ (LUSP,*,ERR=98,END=1041) SPW(IW), SPF(IW)
104      CONTINUE
         GO TO 97

!        NORMAL TERMINATION OF READ AT END OF DATA
1041     NSPW = IW - 1
         IF (NSPW.NE.NDAT)
     1      CALL MESSGE ('SPRD: * Warning * Data does not match header')
      ENDIF

!     CLOSE FILE AND QUIT
      CALL LUSHUT (LUSP, IERR)
      RETURN

!     ERROR INDICATORS
97    CALL MESSGE ('Spectrum too large, no data read')
      CALL LUSHUT (LUSP, IERR)
      RETURN
98    CALL MESSGE ('Error reading data, previous data corrupted')
      CALL LUSHUT (LUSP, IERR)
      RETURN
99    CALL MESSGE ('Error opening file, no data read')
      CALL LUSHUT (LUSP, IERR)
      RETURN

      END
