FUNCTION OPHEI(TEMP,PE,RLAMB)

  !+
  !=      Continuous opacity for He I
  !-

  !      Double precision version
  IMPLICIT REAL*8 (A-H,O-Z)

  !  Function Type
  REAL ::  OPHEI

  !  Input Arguments:
  REAL, INTENT(IN) :: TEMP  ! Temperature (K)
  REAL, INTENT(IN) :: PE    ! Electron pressure (cgs)
  REAL, INTENT(IN) :: RLAMB ! Wavelength (A)


  DIMENSION X(7),Y(7),Z(8),G(7),A(8),B(8)

  DATA X(1:7)/31.15,40.04,34.75,32.31,34.86,31.52,34.35/
  DATA Y(1:7)/2.,-.679,1.91,2.9,3.3,3.5,3.6/
  DATA G(1:7)/1.,3.,1.,9.,9.,3.,3./
  DATA Z(1:8)/1.069,1.028,1.022,1.018,1.016,1.014,1.012,1.012/
  DATA A(1:8)/504.3,2601.,3122.,3422.,3422.,3680.,3680.,100000.0/
  DATA B(1:8)/7932.,14380.,22535.,32513.,44313.,57936.,73383.,90603./
  DATA Z1/1./

  !.


  DO II=1,8
     I = II
     IF (A(I) < RLAMB) EXIT
  ENDDO
  DO JJ=1,8
     J = JJ
     IF (B(J) < RLAMB) EXIT
  ENDDO

  WAVE=LOG((3.0E4)/RLAMB)
  SUM=0.0
  V1=(1.439E8)/(A(1)*TEMP)

  IF (I < 8) THEN
     DO K=I,7
        V=(1.439E8)/(A(K)*TEMP)
        C=EXP(-X(K)-Y(K)*WAVE)
        IF (K == 2) C=C*EXP(-.316*WAVE*WAVE)
        SUM=SUM+C*G(K)*EXP(V-V1)
     ENDDO
  ENDIF

  SUM1=0.0
  RL=FLOAT(J+1)
  DO L=J,8
     RL=RL+1.
     W=(1.439E8)/(B(L)*TEMP)
     SUM1=SUM1+Z(L)*Z(L)*Z(L)*Z(L)*EXP(W)/(RL*RL*RL)
  ENDDO
  SUM1=(4.1796E-26)*RLAMB*RLAMB*RLAMB*EXP(-V1)*(SUM1+0.5*Z(1)*Z(1)/V1*EXP(W))
  OPHEI=(SUM+SUM1)/Z1
  
END FUNCTION OPHEI
