FUNCTION OPHM(TEMP,PE,RLAMB)

  !+
  !=      Continuous opacity for the negative hydrogen ion
  !       Stimulated emission included
  !-

  !       Double precision version
  IMPLICIT REAL*8 (A-H,O-Z)

  !  Function Type
  REAL ::  OPHM

  !  Input Arguments:
  REAL, INTENT(IN) :: TEMP  ! Temperature (K)
  REAL, INTENT(IN) :: PE    ! Electron pressure (cgs)
  REAL, INTENT(IN) :: RLAMB ! Wavelength (A)


  !.
  OPHM=.0
  THETA=5040.0/TEMP

  !  ..bound-free
  IF (RLAMB <= 14200.) THEN
     A=.001*RLAMB
     B=.006801+A*(.17871+A*(.16479+A*(-.02049+A*(.00059524))))
  ELSE
     A=.001*(16419.-RLAMB)
     B=.26982+A*A*(.22019+A*(-.041129+A*(.0027324)))
  ENDIF
  IF (RLAMB < 16419.) & 
       OPHM=(.4158E-26)*(THETA**2.5)*PE*EXP(1.726*THETA)* &
       (1.0-EXP(-2.8563E4*THETA/RLAMB))*B

  !  ..free-free
  OPHM=OPHM+(1.E-26)*PE*((.005367+THETA*(-.01149+THETA*.02704))+ &
       (1.E-6)*RLAMB*(-3.206+THETA*(11.924-5.939*THETA))+ &
       (1.E-9)*RLAMB*RLAMB*(-.4019+THETA*(7.036-THETA*.3459)))

  !  .. error trap
  IF (OPHM < .0) OPHM=.0

END FUNCTION OPHM
