      SUBROUTINE rtf_intens ( tau,s,nd, mu,nm,i )

!+
!     calculate emergent specicific intensities
!     for a given set of angles
!-



!     Global declaration
      IMPLICIT NONE

!     Import
      DOUBLE PRECISION tau(1)                 ! Optical depth
      DOUBLE PRECISION s(1)                   ! Source function
      INTEGER nd                              ! Number of depths
      DOUBLE PRECISION mu(1)                  ! Angles
      INTEGER nm                              ! Number of angles

!     Export
      DOUBLE PRECISION i(1)                   ! Specific intensity

!     Depth and angle quadrature
      INTEGER  d                              ! Depth quadrature index
      INTEGER  m                              ! Angle quadrature index

      INTEGER  ifail

!     Local
      INTEGER    kd
      PARAMETER (kd=100)
      REAL*8     tt(kd),  ss(kd), amu             ! local copy of inputs
      INTEGER    d1, d2, n
      EXTERNAL   d01baz, rtf_iint                 ! integrand functions
      REAL*8     d01baf

      COMMON /rtf_source/ tt, ss, amu, n

!     Number of points in quadrature
      INTEGER i48
      DATA i48 /48/
!.


      d1 = 1
      d2 = 1
      DO d = 1,nd
        tt(d) = tau(d)
        ss(d) = s(d)
        IF (tt(d).LE.100.0) d2 = max (d,d2)
      ENDDO
      n = nd

      ifail = 0
      DO m = 1,nm
         amu = mu(m)
         i(m) = d01baf (d01baz,tau(d1),tau(d2),i48,rtf_iint,ifail) 
     :          / mu(m)
      ENDDO
      END
