      SUBROUTINE HGRID(XMIN,XMAX)

!+
!=     Sets up hydrogen line grid from XMIN and XMAX
!-

!  Global variables
      USE SPC_GLOBAL

!  Double precision version
      IMPLICIT REAL*8 (A-H,O-Z)
 
!.
 
!      Find hydrogen lines in the chosen region

      NELSYP=NELSY
      CALL HSEARCH(XMIN,XMAX)


!      Check for line

      IF(NELSYP.EQ.NELSY) RETURN


!      A possible 40 points on either side of line centre
!      With scale 0.01 and ratio 1.25 will cover +-300A
!      Sufficient for continuum definition

      NPOINT=40
      WSCALE=0.01
      WRATIO=1.25


!      Set up negative wavelengths but NOT sorted in increasing
!      wavelength

      MCOUNT=1

      WORK(MCOUNT)=WAVSY(NELSY)
      WTEMP=WORK(MCOUNT)

      DO I=1,NPOINT
        WTEMP=WTEMP-WSCALE*(WRATIO**I)

        IF(WTEMP.GE.XMIN) THEN
          MCOUNT=MCOUNT+1
          WORK(MCOUNT)=WTEMP
        ELSE
          GOTO 1
        ENDIF
      ENDDO


!      Set up positive wavelengths now sorted in increasing
!      wavelength

    1 WTEMP=WAVSY(NELSY)  
      DO I=1,NPOINT
        WTEMP=WTEMP+WSCALE*(WRATIO**I)

        IF(WTEMP.LE.XMAX) THEN
          MCOUNT=MCOUNT+1
          WORK(MCOUNT)=WTEMP
        ELSE
          GOTO 2
        ENDIF
      ENDDO


!      Define IWORK and MCOUNT

    2 IWORK(1)=MCOUNT
  
      IF(BUGAT) THEN
        WRITE(NDEBUG,900)IWORK(1),(WORK(I),I=1,IWORK(1))
      ENDIF

      RETURN

!      Format statements

900   FORMAT(' *** NO. POINTS IN HGRID = ',I5//
     1       ' *** GRID *** '//7(0PF10.3))

      END
