      SUBROUTINE HSEARCH(XMIN,XMAX)

!+
!=     Searches for ONE hydrogen lines lying within XMIN and XMAX
!      If more than one takes first
!-

!  Global variables
      USE SPC_GLOBAL
      USE SPC_VCSDATA      !! VCS tables

!      Double precision version
      IMPLICIT REAL*8 (A-H,O-Z)


!.

!      If there is a hydrogen line in this wavelength range,
!      include its wavelength, gf-value, species no. and
!      ionization stage

      NCOUNT=0
      DO N=1,3
      DO I=1,NH(N)
        IF(WH(I,N).GE.XMIN.AND.WH(I,N).LE.XMAX)THEN
           NELSY=NELSY+1
           WAVSY(NELSY)=WH(I,N)
           NSPSY(NELSY)=IH
           NIONSY(NELSY)=1
           GFSY(NELSY)=GH(N)*FH(I,N)
           EDAMSY(NELSY)=0.0
           RDAMSY(NELSY)=0.0
           EXCSY(NELSY)=0.0
           NCOUNT=NCOUNT+1
           GOTO 1
        ENDIF
      ENDDO
      ENDDO

    1 RETURN
      END        
