      SUBROUTINE OUTSPC(WAVELG,FLABDA,NWAVEP,HEADER,NFPONT,IDISKA)

!+
!  outspc
!
!  Purpose:
!=    Write a spectrum in the format (wavelength,flambda) in ascii
!     though free-formatted
!
!  Usage:
!     CALL OUTSPC(WAVELG,FLABDA,NWAVEP,HEADER,NFPONT,IDISKA)
!
!  Description of parameters:
!R    WAVELG(NWAVEP)      -  Array of wavelength points
!R    FLABDA(NWAVEP)      -  Array of flux points
!I    NWAVEP              -  No. of points in flabda & wavelg
!C    HEADER              -  Two records of header information
!I    NFPONT              -  Position in arrays flabda and wavelg from
!                            which first data point is to be written
!I    IDISKA              -  Logical unit to which data points are to be written
!
!-

         DIMENSION WAVELG(*),FLABDA(*)
!
         CHARACTER*(*) HEADER(2)

!.

!   Write header records and number of data points
         WRITE(IDISKA, '(A)') HEADER
         WRITE(IDISKA, '(I10)') NWAVEP

!   Write wavelengths and fluxes
         WRITE(IDISKA, '(2(1PE15.6))') (WAVELG(LWAVEP),FLABDA(LWAVEP),
     &   LWAVEP = NFPONT,NWAVEP+NFPONT-1)

         END
