      SUBROUTINE OUTTER

!+
!
!  outter
!
!
!=    Output results to terminal
!
!-

!  Global variables
      USE SPC_GLOBAL

!  Double precision version
      IMPLICIT REAL*8 (A-H,O-Z)

!  Logarithmic abundances for synthesis calculations
!     DIMENSION ABUSYL(KL)

!.

!  Isolated lines
      IF(NMODE.EQ.0) THEN


!       Logarithmic abundance and derivative
         ABUNDL=LOG10(ABUND)+ANORM
         DABDEW=0.4342944819*DABDEW/ABUND 

!      Write line details to terminal
         WRITE(NWRITE,200) TEFF,LOG10(GRAV),AHE,VT
         WRITE(NWRITE,201) NSP,ELEM(NSP),RLAMB,NW,SYMM
         IF(NSP.NE.IH .AND. NSP.NE.IHE .AND. NLINE.NE.0) 
     :     WRITE(NWRITE,209) NION(NLINE),WAVE(NLINE),GF(NLINE),
     :                         ZMULT(NLINE)
         WRITE(NWRITE,202) ABUNDL,EW,CONFL,DABDEW

!       Write results to a summary file
         IF(NSP.NE.IH .AND. NSP.NE.IHE .AND. NLINE.NE.0) THEN
           IF(EW.GT.1.E-5) THEN
            WRITE(25,299) NSP,NION(NLINE),WAVE(NLINE),
     :                 LOG10(GF(NLINE)),
     :                 EW*1000,ABUNDL
           ELSE
            WRITE(25,299) 0, 0, RLAMB, -99.0, 0., 0.
           ENDIF
         ELSE
            WRITE(25,299) NSP,NHETYP,RLAMB,0.0,
     :                 EW*1000,ABUNDL
         ENDIF

!  Spectrum synthesis for metals and non-diffuse helium
      ELSEIF(NMODE.EQ.10.OR.NMODE.EQ.11) THEN

!       Logarithmic abundances
!        DO I=1,NELSY
!          IF(ABUSY(I).GT.0.0) THEN
!            ABUSYL(I)=ANORM+LOG10(ABUSY(I))
!          ELSE
!            ABUSYL(I)=ABUSY(I)
!          ENDIF
!        ENDDO

!       Write out atomic data for synthesised spectrum
         WRITE(NWRITE,207)
!        WRITE(NWRITE,217)RLAMB
!        WRITE(NWRITE,208)(NSPSY(I),NIONSY(I),WAVSY(I),GFSY(I),
!    :                     EDAMSY(I),RDAMSY(I),EXCSY(I),ABUSYL(I),
!    :                     I=1,NELSY)  

         WRITE(NWRITE,200) TEFF,LOG10(GRAV),AHE,VT

!       Profiles (switched off)
!        WRITE(NWRITE,204) EW,CONFL
!        WRITE(NWRITE,205)
!        WRITE(NWRITE,206) (W(IA),FLUXN(IA),IA=1,NW)

!  No output for cycling around abundances and microturbulences
      ELSEIF(NMODE.GE.20) THEN


      ENDIF


!  Format statements

  200 FORMAT(' TEFF=',F7.0,5X,' LOG G=',F7.3,5X,'HE=',1P,E9.2,
     *5X,'VT=',0P,F5.1)
  201 FORMAT(' NSP=',I3,5X,'ELEM=',A10,4X,'RLAMB=',0P,F8.1,5X,
     *'NW=',I3,5X,'SYMM=',L2)
  202 FORMAT(' ABUND=',0PF6.2,5X,'EW=',1P,E10.3,8X,
     *'C/L RATIO=',0P,F8.5,' DAB/DEW=',0P,F8.4)
  204 FORMAT(/' EW=',1P,E10.3,5X,'C/L RATIO=',0P,F8.5)
  205 FORMAT(/' ',4(3X,'WAVE',6X,'FLUX',3X))
  206 FORMAT( 4(0P,F9.3,1P,E11.3))
  207 FORMAT(' SYNTHETIC SPECTRUM COMPUTED FOR')
  217 FORMAT(
     *'   SPEC',2X,'LEVEL OF',5X,'WAVE',8X,'GF',4X,
     *'ELEC DAMP',2X,'RAD DAMP',3X,'EXCIT POT',4X,'[X/H]'/
     *8X,' IONIZATION'//)   
  208 FORMAT(2I7,0P,F13.3,1P,4E11.3,0P,F9.3)  
  209 FORMAT(' ION=',I3,5X,'WAVE=',0P,F10.2,5X,'GF=',0P,F10.3,5X,
     *'MULT=',0P,F10.3)
  299 FORMAT( 2I3,F10.2,F10.3,F8.0,F6.2 )

      END
