      SUBROUTINE SPC_ABMODEL (SELNO, SELID, SELAB)

!+
! 
!=    Subroutine to set abundances for each line in SYNTHESIS calculation
!=    to default model abundances
!
!-

!  Global Variables
      USE SPC_GLOBAL, ONLY : ALPHA, ANORM
      USE SPC_GLOBAL, ONLY : AH, AHE, AC, AN, AO, ANE 
      USE SPC_GLOBAL, ONLY : AMG, AAL, ASI, AS, ACA, AFE

!  No Implicit Typing
      IMPLICIT NONE

!  Subroutine Arguments (given).
      INTEGER :: SELNO             ! number of elements treated
      INTEGER :: SELID(*)          ! atomic numbers of elems for which abunds given
      REAL    :: SELAB(*)          ! abundances of above elements

!  Local variables
      INTEGER :: K

!.

      DO K = 1,SELNO-1
      SELECT CASE ( SELID(K) )
      CASE (  1 ) 
         SELAB(K) = DLOG10 (AH)  + ANORM
      CASE (  2 )
         SELAB(K) = DLOG10 (AHE) + ANORM
      CASE (  6 )
         SELAB(K) = DLOG10 (AC)  + ANORM
      CASE (  7 )
         SELAB(K) = DLOG10 (AN)  + ANORM
      CASE (  8 )
         SELAB(K) = DLOG10 (AO)  + ANORM
      CASE ( 10 )
         SELAB(K) = DLOG10 (ANE) + ANORM
      CASE ( 12 )
         SELAB(K) = DLOG10 (AMG) + ANORM
      CASE ( 13 )
         SELAB(K) = DLOG10 (AAL) + ANORM
      CASE ( 14 )
         SELAB(K) = DLOG10 (ASI) + ANORM
      CASE ( 16 )
         SELAB(K) = DLOG10 (AS)  + ANORM
      CASE ( 20 )
         SELAB(K) = DLOG10 (ACA) + ANORM
      CASE ( 26 )
         SELAB(K) = DLOG10 (AFE) + ANORM
      END SELECT
      END DO

      WRITE (*,'(A)') 'SPC_ABMODEL: abundances for synthesis set to '// &
                &'input model abundances (log eps_i + c) '

      END SUBROUTINE SPC_ABMODEL
