SUBROUTINE SPC_READWL

  !! read_wl reads in the wavelength grid to st_new from the file opwlgrid.d
  !! file is found in lte_codes/share/osdata/data/opwlgrid.d
  !! used for ODF
  !! Replaces INDAT used in STERNE

  USE LTE_WLGRID, ONLY : LA, LL, WL

  IMPLICIT NONE

  INTEGER :: WAVE=9        ! wavelength grid unit number

  !! open wavelength grid file 

  OPEN(UNIT=WAVE,FILE='WAVE',STATUS='OLD',FORM='FORMATTED')

  !! Allocate wavelength grid, wl, and read in values
  !! First line of grid file contains 2 integers, 1st=position number of the first 
  !! data point in the grid, 2nd=the position number of the last point

  READ(WAVE,*) LA,LL

  ALLOCATE(WL(LL))

  READ(WAVE,*) WL(LA:LL)

  CLOSE(WAVE)

END SUBROUTINE SPC_READWL

