SUBROUTINE SPC_VDWC

  !+
  !
  !  dp_vdwc
  !
  !
  != Compute depth-dependent part of Van der Waal's broadening constant
  !  throughout atmosphere.
  !
  !  This has been stolen from Hubeny's code SYSNEPC: subroutine INIBLA
  !  and, again, I don't fully understand it yet.
  !
  !
  !  Date: 22.nov.2001
  !  Author: C.S.Jeffery
  !
  !
  !-

  !  Global variables.
  USE SPC_GLOBAL, ONLY : NDEPTH
  USE SPC_GLOBAL, ONLY : TEMP
  USE SPC_GLOBAL, ONLY : VDWC
  USE SPC_GLOBAL, ONLY : AH, AHE

  !  Global typing.
  IMPLICIT NONE

  !  Local constants.
  DOUBLE PRECISION, PARAMETER :: VW1 = 0.422 
  DOUBLE PRECISION, PARAMETER :: VW2 = 0.3  
  DOUBLE PRECISION, PARAMETER :: TENM4 = 1.D-4 

  !  Local variables
  INTEGER J

  !.

  VDWC(1:NDEPTH) = (AH+VW1*AHE) * (TEMP(1:NDEPTH)*TENM4)**VW2

END SUBROUTINE SPC_VDWC
