	subroutine vcs_read (nlow)
C ***
C ***	Read VCS tables
C ***
        use spc_vcsdata

 	implicit none

        integer nlow
        integer line

	integer i, j, k, nnl, nnu


        character*10 vcsfile
        integer      nvcsdat


!  Select which tables to read

        if(nlow.lt.1.or.nlow.gt.3) then
           write (*,*) 'VCS table not available'
           return
        end if

        if(nlow.eq.1) vcsfile='VCSLYMAN  '
        if(nlow.eq.2) vcsfile='VCSBALMER '
        if(nlow.eq.3) vcsfile='VCSPASCHEN'

        nvcsdat = 81
        open( nvcsdat, file=vcsfile, status='old')


!  Read in VCS arrays

	read( nvcsdat, * ) nvcs
	if( nvcs .gt. mline ) then
	   write (*,*) 'Table too big.  Not more than ', mline,
     >             ' lines.'
	   return
	end if
	do i = 1, nvcs
	   read( nvcsdat, * ) nl(i), nu(i),
     >                  log_alpha0(i), log_ne0(i), log_t0(i),
     >                  log_alpha_inc(i), log_ne_inc(i), log_t_inc(i),
     >                  mp(i), mne(i), mt(i)
	   if( mp(i)  .gt. pmp .or.
     >         mne(i) .gt. pmne .or.
     >         mt(i)  .gt. pmt ) then
	      write (*,*) 'Table too big in one of these:'
	      write (*,*) 'mp:', mp(i), ' >', pmp
	      write (*,*) 'mne:', mne(i), ' >', pmne
	      write (*,*) 'mt:', mt(i), ' >', pmt
	      return
	   end if
	end do
        do line = 1, nvcs
           read( nvcsdat, '(3x,i2,4x,i2)' ) nnl, nnu
           if( nnl .ne. nl(line) .or. nnu .ne. nu(line) ) then
	      write( 0, * ) 'Inconsistency in table for', nl(line),
     >                      ' ->', nu(line)
	      return
	   end if
	   read( nvcsdat, * ) (( (svcs(i,j,k,line), k = 0, mp(line)),
     >                        i = 1, mt(line)),
     >                          j = 1, mne(line))
	end do

        close( nvcsdat )


	end
