FUNCTION FREWGT (I,FREQ,LA,LL)

!+
!
! FREWGT
!
!= Compute weights for trapezoidal integration over frequency
!  Called from flxodf
!
!-

  USE LTE_PRECISIONS

  IMPLICIT NONE

  INTEGER, INTENT(IN) :: I    ! frequency index 
  INTEGER, INTENT(IN) :: LA   ! first frequency for quadrature
  INTEGER, INTENT(IN) :: LL   ! last frequency for quadrature
  REAL(KIND=QQ), INTENT(IN), DIMENSION(*) :: FREQ  

  REAL(KIND=QQ) :: FREWGT

!.

  IF (I > LA .AND. I < LL) THEN
     FREWGT = 0.5*(FREQ(I-1)-FREQ(I+1))
  ELSEIF (I == LA) THEN
     FREWGT = 0.5*(FREQ(LA)-FREQ(LA+1))
  ELSEIF (I == LL) THEN  
     FREWGT = 0.5*(FREQ(LL-1)+FREQ(LL))
  ELSE
     FREWGT = 0.0
     WRITE (*,*) 'FREWGT ** i=',i,' out of range',LA,'<=i<=',LL
  END IF

END FUNCTION FREWGT
