  subroutine massfrac

 !! st_inalpha sets up the elemental abundances for H,He,Li,Be,B,C,N and metals
 !! modified F90 version of INALPHA 

    use OP_GLOBAL

    implicit none

 !! elem: character identifiers for elements (Hollerith)
 !! epssol : solar abundances (log rel. to H=12.00)
 !! atw : mean atomic masses
 !! betsol : relative solar abundances by mass

!    character(len=12), dimension(40) :: elem
    real, dimension(82) :: atw

    integer :: i, j

    real :: sum(OP_MAXND)

 !! assign values to elem, epssol and atw

 !!! expand to include the 26 first elements, add solar abundance values for missing 
 !!! elements --> increase dimension of elem, epssol, atw & betsol arrays

!    elem = (/'HYDROGEN','HELIUM','LITHIUM','BERYLLIUM','BORON','CARBON ','NITROGEN ','OXYGEN ', &
!          & 'FLUORINE','NEON','SODIUM','MAGNESIUM','ALUMINUM','SILICON','PHOSPHORUS','SULFUR', &
!          & 'CHLORINE','ARGON', 'POTASSIUM','CALCIUM','SCANDIUM', 'TITANIUM','VANADIUM','CHROMIUM',&
!          & 'MANGANESE','IRON','COBALT','NICKEL','COPPER','ZINC','GALLIUM','GERMANIUM','ARSENIC', &
!          & 'SELENIUM','BROMINE','KRYPTON','RUBIDIUM','STRONTIUM','YTTRIUM','ZIRCONIUM'/)
!!$,'NIOBIUM',&
!!$          & 'MOLYBDENUM','TECHNETIUM','RUTHENIUM','RHODIUM','PALLADIUM','SILVER','CADMIUM', &
!!$          & 'INDIUM','TIN','ANTIMONY','TELLURIUM','IODINE','XENON','CESIUM','BARIUM','LANTHANUM', &
!!$          & 'CERIUM','PRASEODYMIUM','NEODYMIUM','PROMETHIUM','SAMARIUM','EUROPIUM','GADOLINIUM', &
!!$          & 'TERBIUM','DYSPROSIUM','HOLMIUM','ERBIUM','THULIUM','YTTERBIUM','LUTETIUM', 'HAFNIUM', &
!!$          & 'TANTALUM','TUNGSTEN','RHENIUM','OSMIUM','IRIDIUM','PLATINUM','GOLD', &
!!$          & 'MERCURY','THALLIUM','LEAD'/)

    atw = (/1.00794,4.002602,6.941,9.012,10.811,12.011,14.007,16.000,18.998,20.180,22.990,24.305,26.982, &
          & 28.09,30.9734,32.066,35.453,39.948,39.098,40.078,44.956,47.867,50.942,      &
          & 51.996,54.938,55.849,58.933,58.693,63.546,65.39,69.723,72.61,74.9216,78.96, &
          & 79.904,83.80,85.4678,87.62,88.90585,91.224,92.90638,95.94,98.0,101.07,102.9055, &
          & 106.42,107.8682,112.411,114.818,118.710,121.760,127.60,126.90447,131.29,132.90545, &
          & 137.327,138.9055,140.116,140.90765,144.24,145.0,150.36,151.964,157.25,158.92534, &
          & 162.50,164.93032,167.26,168.93421,173.04,174.967,178.49,180.9479,183.84,186.207, &
          & 190.23,192.217,195.078,196.96655,200.59,204.3833,207.2/)

    sum = 0.0

     do i=1,OP_MAXNA
       do j=1,OP_MAXND
         OP_ALPMF(i,j) = OP_ALPNN(i,j)*atw(i)
       end do
     end do

    do i=1,OP_MAXNA
       do j=1,OP_MAXND
         sum(j) = sum(j) + OP_ALPMF(i,j)
       end do
    end do

     do i=1,OP_MAXNA
       do j=1,OP_MAXND
         OP_ALPMF(i,j) = OP_ALPMF(i,j)/sum(j)
       end do
     end do


!      write(*,*) 'ELEMENTAL ABUNDANCES NUMBER FRACTION -- MASS FRACTION'
!      write(*,'(2X,A18,E12.3,1X,E12.3)') (elem(i),OP_ALPNN(i,OP_MAXND), OP_ALPMF(i,OP_MAXND), i=1,OP_MAXNA)

  end subroutine massfrac
