
  SUBROUTINE OUTMOD2 (KEY_OPBF,KEY_OPBB)

!+
!   OUTMOD2
!
!  Output current model - and update regularly
!
!-

    USE LTE_WLGRID
    USE LTE_MODEL
    USE STN_PARAMETERS
    USE STN_SWITCHES
    USE STN_INTGRA
    USE OP_GLOBAL

    IMPLICIT NONE

      CHARACTER(LEN=12), INTENT(IN) :: KEY_OPBF 
      CHARACTER(LEN=12), INTENT(IN) :: KEY_OPBB 

!  Local variables.
      REAL, DIMENSION(LL) ::  FNUX

      INTEGER :: I, J
      INTEGER :: LLA
      INTEGER :: NSTRAT

      REAL :: FEH

      CHARACTER(LEN=8) :: DATE
      CHARACTER(LEN=13) :: MODEL_NAME

      CHARACTER(LEN=2) :: SYMBOL   !  chemical symbol
      INTEGER :: IZ                !  atomic number
      INTEGER :: STATUS = 0        !  inherited error status

!.
      !homogeneous models:
      NSTRAT = 0
  

      FEH = OP_ALPNN(26,ND)/OP_ALPNN(1,ND)
! divide by solar abund
      FEH = FEH/0.318E-04
      FEH = LOG10(FEH)

      OPEN(9,FILE='STN_MOD',STATUS='UNKNOWN',FORM='FORMATTED')

      WRITE(9,*) 'model.origin  SterneOS 3.0'
      call DATE_AND_TIME(date)
!      WRITE(9,*) 'model.date  ',date(1:4),'/',date(5:6),'/',date(7:8)
        open(unit=17,file='name',status='old')
          read(17,*) MODEL_NAME
        close(17)
      WRITE(9,*) 'model.label  ', MODEL_NAME 
      IF (NSTRAT == 0) THEN
        WRITE(9,*) 'model.composition  homogeneous'
      ELSE
        WRITE(9,*) 'model.composition  inhomogeneous'
      ENDIF 
      WRITE(9,*) 
      WRITE(9,'(A13,F6.0)') ' model.teff  ', TEFF
      WRITE(9,*) 'units.teff  kelvin'
      WRITE(9,'(A16,F5.2)') ' model.gravity  ', GLG
      WRITE(9,*) 'units.gravity  log_cgs'
      WRITE(9,*) 
      WRITE(9,*) 'model.nelems  ',OP_MAXNA
      WRITE(9,*) 'model.nstrat  ',NSTRAT
      WRITE(9,*) 'model.layers  ',OP_MAXND
      WRITE(9,*) 
      WRITE(9,*) 'model.febyh ', FEH
      WRITE(9,*) 'model.albyhe  0.0'
      WRITE(9,*) 'model.frache ', OP_ALPNN(2,50)
      WRITE(9,*) 
      WRITE(9,*) 'opacity.bf_source  ',KEY_OPBF
      WRITE(9,*) 'opacity.bb_source  ',KEY_OPBB
      WRITE(9,*) 'opacity.bb_int  ',BB_DVC
      WRITE(9,*) 'opacity.vturb  ',VMIC
      WRITE(9,*) 'units.vturb  cm/s'
      WRITE(9,*)


      IF (NSTRAT == 0) THEN
        DO IZ=1,OP_MAXNA
          CALL TAP_ESYMB ( IZ, SYMBOL, STATUS )
          WRITE(9,*) 'structure.abundance',SYMBOL
          WRITE(9,*) (OP_ALPNN(IZ,ND))
        ENDDO


      ELSE
        WRITE(9,*) 'structure.abundance H  '
        WRITE(9,*) (OP_ALPNN(1,J),J=1,ND)
        WRITE(9,*) 'structure.abundance He '
        WRITE(9,*) (OP_ALPNN(2,J),J=1,ND)
        WRITE(9,*) 'units.abundance  number_fraction'
      ENDIF


      WRITE(9,*)
      WRITE(9,*) 'model.lambda_ref  ', REFWL
      WRITE(9,*) 'units.lambda_ref  Angstrom'
      WRITE(9,*) 'structure.tau_Ref  '
      WRITE(9,'(5E15.7)')  (TAU(J),J=1,ND)
      WRITE(9,*) 'units.tau.Ref  cm'
      WRITE(9,*)
      WRITE(9,*) 'structure.opac_Ref  '
      WRITE(9,'(10F8.4)')  (LOG10(KAPPA(J)), J = 1,ND)            
      WRITE(9,*) 'units.opac_Ref  log'
      WRITE(9,*)
      WRITE(9,*) 'structure.temp  '
      WRITE(9,'(10F9.1)')  (TEMP(J), J = 1,ND)    
      WRITE(9,*) 'units.temp  kelvin'
      WRITE(9,*)
      WRITE(9,*) 'structure.Pgas  '
      WRITE(9,'(10F8.4)')  (LOG10(P_TOTAL(J)), J = 1,ND)              
      WRITE(9,*) 'units.pgas  log dyn'
      WRITE(9,*) 'structure.Pel  '
      WRITE(9,'(10F8.4)')  (LOG10(P_e(J)), J = 1,ND)             
      WRITE(9,*) 'units.pel  log dyn'
      WRITE(9,*)
      WRITE(9,*) 'structure.grad  '
      WRITE(9,'(10E10.3)') (GRAD(J), J = 1,ND)            


      WRITE(9,*) 
      WRITE(9,*) 'spectrum.length  ', LL
      WRITE(9,*) 'spectrum.wave  '
      WRITE(9,'(10F9.1)') (WL(J),J=LA,LL)
      WRITE(9,*) 'units.wave  Angstrom'
      DO J=LA,LL
        FNUX(J) = 2.99793E18*FNUE(J)/WL(J)/WL(J)
      END DO
      WRITE(9,*) 'spectrum.flux  '
      WRITE(9,'(10E12.5)') (FNUX(J),J=LA,LL)
      WRITE(9,*) 'units.flux  erg/cm^2/A'

      CLOSE (9)

  END SUBROUTINE OUTMOD2
