SUBROUTINE READ_WLGRID

  !! read_wl reads in the wavelength grid to st_new from the file opwlgrid.d
  !! file is found in lte_codes/share/osdata/data/opwlgrid.d
  !! used for ODF
  !! Replaces INDAT used in STERNE

  USE LTE_WLGRID, ONLY : LA, LL, WL
  USE LTE_WLGRID, ONLY : BLK, FNUE, NU

  IMPLICIT NONE

  INTEGER :: WAVE=9        ! wavelength grid unit number
  INTEGER :: I

  !! open wavelength grid file 

  OPEN(UNIT=WAVE,FILE='WAVE',STATUS='OLD',FORM='FORMATTED')

  !! Allocate wavelength grid, wl, and read in values
  !! First line of grid file contains 2 integers, 1st=position number of the first 
  !! data point in the grid, 2nd=the position number of the last point

  READ(WAVE,*) LA,LL
  ALLOCATE (WL(LL))
  READ(WAVE,*) WL(LA:LL)
  CLOSE(WAVE)

  !! Allocate and initialise emergent fluxes vector and line blocking factor vector
  !! (to be used when calculating the emergent spectrum)

  ALLOCATE(BLK(LL))
  ALLOCATE(FNUE(LL))
  ALLOCATE(NU(LL))

  BLK = 0.0
  FNUE = 0.0

END SUBROUTINE READ_WLGRID
