  MODULE STN_CONSTANTS

 !! Theses values are used in the subroutine st_hydro, may not be necessary 
 !! to have a separate module, but should eventually consolidate all 
 !! important constant values.

 !! it should incorporate values from TAP : csj 15.8.12

    USE LTE_PRECISIONS

    PRIVATE :: QQ, RR

      REAL(KIND=QQ), PARAMETER :: C = 2.99792458E+10
      REAL(KIND=RR), PARAMETER :: PI = 3.141592653589793238462643383279503 
      REAL, PARAMETER :: SIGMA = 5.6705E-5               ! erg cm^-3 K^-4
      REAL, PARAMETER :: BK = 1.38054E-16
      REAL, PARAMETER :: TENLOG = 2.302585093            ! ln(10)
      REAL(KIND=QQ), PARAMETER :: E_TAPP = 1.60217733E-19         ! Elementary charge (C)
      REAL(KIND=QQ), PARAMETER :: ME_TAPP = 9.1093897E-31   ! Electron mass (kg)

  END MODULE STN_CONSTANTS
