  module stn_intgra

    use lte_precisions
    implicit none
    private :: qq, rr

 !! These values are use in the subroutine hydro
 !! to avoid passing them through unnecessarily..
 !! add description comments
 !! dimension = ND

      real, allocatable, dimension (:) :: GRAD
      real, allocatable, dimension (:) :: DENS  
      real, allocatable, dimension (:) :: DIST
      real, allocatable, dimension (:) :: XINT

      real, parameter :: GRMAX = 0.8        ! This limits the contribution
                                            ! of radiation pressure and prevents
                                            ! h-s equilibrium blowing up
 !! Flux integrals and opacities.

      real(kind=qq), allocatable, dimension (:) :: FLX     ! Integral H_nu.d_nu
      real, allocatable, dimension (:) :: TNS     ! Integral J_nu.d_nu
      real, allocatable, dimension (:) :: KAPP    ! Planck mean (Mihalas 3-28)
                                                  ! Integral kap_nu.B_nu.d_nu
      real, allocatable, dimension (:) :: KAPJ    ! Absorption mean (Mihalas 3-32)
                                                  ! Integral kap_nu.J_nu.d_nu
      real(kind=qq), allocatable, dimension (:) :: KAPF    ! Flux-weighted mean  (Mihalas 3-21)
                                                  ! Integral op_nu.H_nu.d_nu
      real, allocatable, dimension (:) :: B       ! Planck flux B(Refwl,temp)

  end module stn_intgra
