      SUBROUTINE STR_OPEN (FILE, STATUS, READ, FORM, LUNIT, INDEX, IERR)

!+
!     PROGRAM:      STR_OPEN
!     PURPOSE:      
!=                  OPEN A SPECIFIED FILE ON NEXT AVAILABLE LOGICAL UNIT
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      29.10.87  C.S.JEFFERY / ST.ANDREWS
!
!     INPUT:        FILE       NAME OF FILE TO BE OPENED
!                   STATUS     'OLD', 'NEW', 'SCRATCH' OR 'UNKNOWN'
!                   READ       'READONLY' OR BLANK !! OBSOLETE
!                   FORM       'FORMATTED' OR 'UNFORMATTED'
!              - OTHER ATTRIBUTES TO BE ADDED AS REQUIRED -
!
!     OUTPUT:       LUNIT      UNIT NUMBER ASSIGNED TO FILE
!                   INDEX      INDEX OF FILENAME IN COMMON
!                   IERR       ERROR CODE (0=OK, 1=FAIL)
!
!-
      INCLUDE 'str_par.f'


      CHARACTER*(*)     FILE
      CHARACTER*(*)     STATUS, READ, FORM
      CHARACTER*80      FILEX

      INTEGER           LUNIT, INDEX, IERR
!.

!.....ALLOCATE A UNIT NUMBER
      FILEX = FILE
      IF (LUINDX.EQ.LUMAX) GO TO 91
      DO I = LULO,LUHI,1
         LUNIT = I
         DO J = 1,LUINDX,1
           IF (LUNIT.EQ.LUFILE(J)) EXIT
         ENDDO
         GO TO 20
      ENDDO
      GO TO 91

!.....ATTEMPT TO OPEN THE FILE ACCORDING TO INSTRUCTIONS
20    CONTINUE
      OPEN (UNIT=LUNIT,FILE=FILEX,STATUS=STATUS,FORM=FORM,   ERR=92)

!.....COMPLETE REPORTING
      LUINDX = LUINDX + 1
      INDEX  = LUINDX
      FILES(INDEX) = FILEX
      LUFILE(INDEX) = LUNIT
      IERR   = 0
      GO TO 100

!.....ERROR DETECTED
91    CALL STR_ERR ('STR_OPEN', 'No available slots')
      GO TO 99
92    CALL STR_ERR ('STR_OPEN', 'Failed to open file : '//FILEX)
      GO TO 99

99    LUNIT  = 0
      INDEX  = 0
      IERR   = 1

!.....QUIT
100   CONTINUE
      END
