

      SUBROUTINE STR_SHUT (LUNIT, IERR)

!+
!     PROGRAM:      STR_SHUT
!     PURPOSE:      
!=                  CLOSE A FILE ON SPECIFIED UNIT
!
!     HISTORY:
!     VERSION       MACHINE       DATE      AUTHOR/INSTITUTE
!     1.0           microVAX      29.10.87  C.S.JEFFERY / ST.ANDREWS
!
!     INPUT :       LUNIT      UNIT NUMBER ASSIGNED TO FILE
!
!     OUTPUT:       IERR       ERROR CODE (0=OK, 1=FAIL)
!-

      INCLUDE 'str_par.f'


      INTEGER           LUNIT, INDEX, IERR
!.


!.....SEARCH FOR INDEX OF LUNIT
      DO 10 I = 1,LUINDX
         IF (LUFILE(I).EQ.LUNIT) GO TO 20
10    CONTINUE
      GO TO 99

!.....REMOVE ENTRY FROM ARRAYS
20    INDEX = I
      DO 22 I = INDEX+1,LUINDX,1
         LUFILE(I-1) = LUFILE(I)
         FILES (I-1) = FILES (I)
22    CONTINUE
      LUFILE(LUINDX) = 0
      FILES (LUINDX) = ' '
      LUINDX = LUINDX - 1

!.....CLOSE THE APPROPRIATE UNIT
      CLOSE (LUNIT)
      IERR   = 0
      GO TO 100

!.....ERROR DETECTED
99    CALL STR_ERR ('STR_SHUT', 'Failed to close unit ')
      IERR   = 1

!.....QUIT
100   END
