MODULE SFIT_BIN_TGH_2

!+
!
!  Module:
!     sfit_bin_tgh_2
!
!  Purpose:
!=    Holders for global variables containing a grid of synthetic spectra
!     binned to the wavelength grid of SFIT_OBSDATA
!
!  Language:
!     Fortran 90
! 
!  Authors:
!     C.S.Jeffery (CSJ) (Armagh Observatory)
!
!  History:
!     09-FEB-2000: CSJ
!        original version
!
!-

  USE XFIT_DIMS

  INTEGER   :: NWBIN2                  ! number of bin wavelengths in model
  REAL      :: WBIN2(NWMAX2)            ! wavelength bins in model
  REAL      :: FBIN2(NWMAX2,NTMAX2,NGMAX2,NHMAX2) ! fluxes in model
  REAL      :: CBIN2(NWMAX2,NTMAX2,NGMAX2,NHMAX2) ! fluxes in model
!  REAL      :: ABIN2(NWMAX,NTMAX,NGMAX,NHMAX) ! fluxes in model
!.
END MODULE SFIT_BIN_TGH_2
