MODULE SFIT_FITDATA

!+
!
!  Module:
!     sfit_fitdata
!
!  Purpose:
!=    Holders for global variables containing 
!     spectra generated in fitting a binary spectrum
!
!  Language:
!     Fortran 90
! 
!  Authors:
!     C.S.Jeffery (CSJ) (Armagh Observatory)
!
!  History:
!     29-JUL-2013: CSJ
!        original version
!
!-

  USE XFIT_DIMS

  LOGICAL   :: FITDATA__SAVE_FIT=.FALSE.       ! switch to check whether numbers required
!.
  REAL      :: FITDATA__FTOT(NWMAX)            ! total fluxes in binary star solution
  REAL      :: FITDATA__FNU1(NWMAX)            ! primary star fluxes in binary star solution
  REAL      :: FITDATA__FNU2(NWMAX)            ! secondary star fluxes in binary star solution
!.
  REAL      :: FITDATA__CTOT(NWMAX)            ! total continuum fluxes in binary star solution
  REAL      :: FITDATA__CNU1(NWMAX)            ! primary star continuum fluxes in binary star solution
  REAL      :: FITDATA__CNU2(NWMAX)            ! secondary star continuum fluxes in binary star solution
!.
!  REAL      :: FITDATA__ATOT(NWMAX)            ! total normalised fluxes in binary star solution
!  REAL      :: FITDATA__ANU1(NWMAX)            ! primary star normalised fluxes in binary star solution
!  REAL      :: FITDATA__ANU2(NWMAX)            ! secondary star normalised fluxes in binary star solution
!.

END MODULE SFIT_FITDATA
