MODULE SFIT_GLOBAL

!+
!
!  Module:
!     sfit_global
!
!  Purpose:
!=    Store all physical parameters where they can be accessed
!     as required 
!
!  Language:
!     Fortran 90
!
!  Authors:
!     C.S.Jeffery (CSJ) (Armagh Observatory)
!
!  History:
!     06-SEP--2002: CSJ
!        original version
!
!-

  REAL      :: R     = 0., R0    = 0. ! Relative stellar radii
  REAL      :: R1    = 0., R2    = 0. ! Relative stellar radii
  REAL      :: THETA = 0., THETA0= 0. ! angular stellar radius 
  REAL      :: THETA1= 0., THETA2= 0. ! angular stellar radius 
  REAL      :: TEFF  = 0., TEFF0 = 0. ! Effective temperature (K)
  REAL      :: TEFF1 = 0., TEFF2 = 0. ! Effective temperature (K)
  REAL      :: LOGG  = 0., LOGG0 = 0. ! Surface gravity (cgs)
  REAL      :: LOGG1 = 0., LOGG2 = 0. ! Surface gravity (cgs)
  REAL      :: ANHE  = 0., ANHE0 = 0. ! Helium abundance (fractional)
  REAL      :: ANHE1 = 0., ANHE2 = 0. ! Helium abundance (fractional)
  REAL      :: VSINI = 0., VSIN0 = 0. ! Projected rotation velocity (km/s)
  REAL      :: VSIN1 = 0., VSIN2 = 0. ! Projected rotation velocity (km/s)
  REAL      :: VRAD  = 0., VRAD0 = 0. ! Radial velocities (km/s)
  REAL      :: VRAD1 = 0., VRAD2 = 0. ! Radial velocities (km/s)
  REAL      :: VTURB = 0., VTRB0 = 0. ! Microturbulent velocity (km/s)
  REAL      :: VTRB1 = 0., VTRB2 = 0. ! Microturbulent velocity (km/s)
!.

END MODULE SFIT_GLOBAL
