MODULE SFIT_MOD_TGH

!+
!
!  Module:
!     sfit_mod_tgh
!
!  Purpose:
!=    Holders for global variables containing a grid of synthetic spectra
!     to be used by programs SFIT_TGV and SFIT_TGHV
!
!  Language:
!     Fortran 90
! 
!  Authors:
!     C.S.Jeffery (CSJ) (Armagh Observatory)
!
!  History:
!     03-FEB-2000: CSJ
!        original version
!
!-

  USE XFIT_DIMS

  CHARACTER :: MODTITLE*256       ! title for model grid
  CHARACTER :: MODFILE*256        ! filename for model spectra

  INTEGER :: NTMOD = 0   ! number of temperatures in model grid
  INTEGER :: NGMOD = 0   ! number of gravities in model grid
  INTEGER :: NHMOD = 0   ! number of abundances in model grid
  INTEGER :: NWMOD = 0   ! number of wavelengths in model grid

  REAL, DIMENSION(NTMAX)  :: TMOD         ! temperatures in grid
  REAL, DIMENSION(NGMAX)  :: GMOD         ! gravities in grid
  REAL, DIMENSION(NHMAX)  :: HMOD         ! helium abundances in grid
  REAL, DIMENSION(NWMAX)  :: WMOD         ! wavelengths in model
  REAL, DIMENSION(NWMAX,NTMAX,NGMAX,NHMAX)  :: FMOD  ! fluxes in model
  REAL, DIMENSION(NWMAX,NTMAX,NGMAX,NHMAX)  :: CMOD  ! fluxes in model
!  REAL, DIMENSION(NWMAX,NTMAX,NGMAX,NHMAX)  :: AMOD  ! fluxes in model
!.

END MODULE SFIT_MOD_TGH
