MODULE SFIT_MOD_TGH_2

!+
!
!  Module:
!     sfit_mod_tgh_2
!
!  Purpose:
!     Holders for global variables containing a second grid of synthetic spectra
!     to be used by program SFIT_TGHV_BIN
!
!  Language:
!     Fortran 90
! 
!  Authors:
!     C.S.Jeffery (CSJ) (Armagh Observatory)
!
!  History:
!     03-FEB-2000: CSJ
!        original version
!
!-

  USE XFIT_DIMS 

  CHARACTER :: MOD2TITLE*72       ! title for model grid
  CHARACTER :: MOD2FILE*72        ! filename for model spectra

  INTEGER :: NTMOD2 = 0   ! number of temperatures in model grid
  INTEGER :: NGMOD2 = 0   ! number of gravities in model grid
  INTEGER :: NHMOD2 = 0   ! number of abundances in model grid
  INTEGER :: NWMOD2 = 0   ! number of wavelengths in model grid

  REAL, DIMENSION(NTMAX2)  :: TMOD2         ! temperatures in grid
  REAL, DIMENSION(NGMAX2)  :: GMOD2         ! gravities in grid
  REAL, DIMENSION(NHMAX2)  :: HMOD2         ! helium abundances in grid
  REAL, DIMENSION(NWMAX2)  :: WMOD2         ! wavelengths in model
  REAL, DIMENSION(NWMAX2,NTMAX2,NGMAX2,NHMAX2)  :: FMOD2  ! fluxes in model
  REAL, DIMENSION(NWMAX2,NTMAX2,NGMAX2,NHMAX2)  :: CMOD2  ! fluxes in model
!  REAL, DIMENSION(NWMAX,NTMAX,NGMAX,NHMAX)  :: AMOD2  ! fluxes in model
!.

END MODULE SFIT_MOD_TGH_2
      
