
MODULE SFIT_MODDATA

!+
!
!  Module:
!     sfit_moddata
!
!  Purpose:
!=    Holders for global variables containing a grid of synthetic spectra
!     to be used by programme SFIT_TGV
!
!  Language:
!     Fortran 90
! 
!  Authors:
!     C.S.Jeffery (CSJ) (Armagh Observatory)
!
!  History:
!     03-FEB-2000: CSJ
!        original version
!
!-

  USE XFIT_DIMS

  INTEGER   :: NWMOD             ! number of wavelengths in model
  INTEGER   :: NTMOD             ! number of temperatures in model
  INTEGER   :: NGMOD             ! number of gravities in model
  REAL      :: TMOD(NTMAX,NGMAX) ! temperatures in grid
  REAL      :: GMOD(NTMAX,NGMAX) ! gravities in grid
  REAL      :: WMOD(NWMAX)       ! wavelengths in model
  REAL      :: FMOD(NWMAX,NTMAX,NGMAX)  ! fluxes in model
  CHARACTER :: MODTITLE*256       ! title for model grid
  CHARACTER :: MODFILE*256        ! filename for model spectra

  REAL      :: FSPL(NWMAX,NTMAX,NGMAX) ! bicubic spline coefficients
  REAL      :: FSP2(NWMAX,NTMAX,NGMAX) ! bicubic spline 2nd derivatives
!.
END MODULE SFIT_MODDATA
