*
*      Tests routine to calculate He II profiles
*
      PROGRAM HEII_TEST

*
*       Double precision version
*
      IMPLICIT REAL*8 (A-H,O-Z)

*
*       Common Blocks and constants
*
      INCLUDE 'LT_SOURCE:COMMON_ALL'
      INCLUDE 'LT_SOURCE:CONSTANTS'

      BUGLN=.TRUE.
      NDEBUG=99
      NHEII=1

*
*       Read in profiles
*
      CALL ATHEII

*
*       Wavelengths
*
      NW=9
      W(1)=0.0
      W(2)=0.011
      W(3)=0.033
      W(4)=0.11
      W(5)=0.33
      W(6)=1.1
      W(7)=3.3
      W(8)=11.0
      W(9)=99.0


*
*      Case 1
*
      NHETYP=-1
      NHEX=ABS(NHETYP)
      ELNUM=13.0
      TEMPL=4.6

      TEMPX=10.0**TEMPL
      PEX=1.0E-15*(10.0**ELNUM)*TEMPX/CELNUM

      CALL HE_II(PEX,TEMPX)

      WRITE(99,100)NHEX,WAVHE2(NHEX),ELNUM,TEMPL,
     *(W(I),LOG10(WORK(I)),I=1,NW)


*
*      Case 2
*
      NHETYP=-1
      NHEX=ABS(NHETYP)
      ELNUM=13.0
      TEMPL=4.45

      TEMPX=10.0**TEMPL
      PEX=1.0E-15*(10.0**ELNUM)*TEMPX/CELNUM

      CALL HE_II(PEX,TEMPX)

      WRITE(99,100)NHEX,WAVHE2(NHEX),ELNUM,TEMPL,
     *(W(I),LOG10(WORK(I)),I=1,NW)


*
*      Case 3
*
      NHETYP=-1
      NHEX=ABS(NHETYP)
      ELNUM=13.5
      TEMPL=4.6

      TEMPX=10.0**TEMPL
      PEX=1.0E-15*(10.0**ELNUM)*TEMPX/CELNUM

      CALL HE_II(PEX,TEMPX)

      WRITE(99,100)NHEX,WAVHE2(NHEX),ELNUM,TEMPL,
     *(W(I),LOG10(WORK(I)),I=1,NW)


*
*      Case 4
*
      NHETYP=-1
      NHEX=ABS(NHETYP)
      ELNUM=13.25
      TEMPL=4.6

      TEMPX=10.0**TEMPL
      PEX=1.0E-15*(10.0**ELNUM)*TEMPX/CELNUM

      CALL HE_II(PEX,TEMPX)

      WRITE(99,100)NHEX,WAVHE2(NHEX),ELNUM,TEMPL,
     *(W(I),LOG10(WORK(I)),I=1,NW)


*
*      Case 5
*
      NHETYP=-1
      NHEX=ABS(NHETYP)
      ELNUM=13.25
      TEMPL=4.45

      TEMPX=10.0**TEMPL
      PEX=1.0E-15*(10.0**ELNUM)*TEMPX/CELNUM

      CALL HE_II(PEX,TEMPX)

      WRITE(99,100)NHEX,WAVHE2(NHEX),ELNUM,TEMPL,
     *(W(I),LOG10(WORK(I)),I=1,NW)


  100 FORMAT(' NHEII=',I3,5X,'WAVE=',F10.2,5X,'ELNUM=',F8.2,5X
     *       'TEMPL=',F10.1//
     *       6X,'WAVE',6X,'LOG(PROF)'//
     *       100(F10.3,F13.3/))
      END


