
*
*     Calculates normalised voigt profile to test validity
*
      PROGRAM VOIGT_TEST

*
*       Double precision version
*
      IMPLICIT REAL*8 (A-H,O-Z)

*
*       Wavelength grid
*
      DIMENSION W(10),S(10),SL(10)
      DATA W/0.0,0.05,0.10,0.20,0.30,0.50,1.0,2.0,5.0,10.0/
*
*       Constants
*
      INCLUDE 'LT_SOURCE:CONSTANTS'

*
*      Input data
*
      WRITE(6,200)
  200 FORMAT(' ***** INPUT RLAMB,TEMP,WID,ATW *****')
      READ(5,*)RLAMB,TEMP,WID,ATW

*
*      Calculate constants
*
      DOPP=RLAMB*SQRT(CDOPPT*TEMP/ATW)
      AVO=WID/DOPP

*
*      Calculate profile
*
      DO I=1,10
        VO=W(I)/DOPP
        S(I)=VOIGT(AVO,VO)/DOPP
        SL(I)=LOG10(S(I))
      ENDDO

*
*      Output results
*
      WRITE(6,201)RLAMB,TEMP,WID,ATW,
     *            (W(I),S(I),SL(I),I=1,10)
  201 FORMAT(' RLAMB=',F8.0,5X,'TEMP=',F8.0,5X,'WID=',1PE10.2,5X,
     *       'ATW=',0PF8.1//9X,'W',14X,'S',9X,'LOG(S)'/
     *       10(0PF10.2,1PE15.3,0PF15.3/))
      END
